(function ($) {
	"use strict";

	/*-------------------------------------
  	Offcanvas Menu activation code
  	-------------------------------------*/
	$('.offcanvas-menu').on('click', '.menu-item > a', function(e) {
        if ($(this).parents('body').hasClass('pagepiling')) {
            var animationSpeed = 500,
                subMenuSelector = '.sub-menu',
                $this = $(this),
                checkElement = $this.next();
            if (checkElement.is(subMenuSelector) && checkElement.is(':visible')) {
                checkElement.slideUp(animationSpeed, function() {
                    checkElement.removeClass('menu-open');
                });
                checkElement.parent(".menu-item").removeClass("active");
            } else if ((checkElement.is(subMenuSelector)) && (!checkElement.is(':visible'))) {
                var parent = $this.parents('ul').first();
                var ul = parent.find('ul:visible').slideUp(animationSpeed);
                ul.removeClass('menu-open');
                var parent_li = $this.parent("li");
                checkElement.slideDown(animationSpeed, function() {
                    checkElement.addClass('menu-open');
                    parent.find('.menu-item.active').removeClass('active');
                    parent_li.addClass('active');
                });
            }
            if (checkElement.is(subMenuSelector)) {
                e.preventDefault();
            }
        } else {
            if ($(this).attr('href') === "#") {
                e.preventDefault();
            }
        }
    });

	$('#wrapper').on('click', '.offcanvas-menu-btn', function (e) {
		e.preventDefault();
		var $this = $(this),
			wrapper = $(this).parents('body').find('>#wrapper'),
			wrapMask = $('<div />').addClass('offcanvas-mask'),
			offCancas = $('#offcanvas-wrap'),
			position = offCancas.data('position') || 'left';

		if ($this.hasClass('menu-status-open')) {
			wrapper.addClass('open').append(wrapMask);
			offCancas.css({
				'transform': 'translateX(0)'
			});
		} else {
			removeOffcanvas();
		}

		function removeOffcanvas() {
			wrapper.removeClass('open').find('> .offcanvas-mask').remove();
			if (position === 'left') {
				offCancas.css({
					'transform': 'translateX(-105%)'
				});
			} else {
				if( WoddingatObj.rtl == 1){
					offCancas.css({
						'transform': 'translateX(-105%)'
					});
				}else{
					offCancas.css({
						'transform': 'translateX(105%)'
					});
				}
			}
		}
		$(".offcanvas-mask, .offcanvas-close").on('click', function () {
			removeOffcanvas();
		});

		return false;
	});
	
	/*-------------------------------------
	After Load All Content Add a Class In Body
	-------------------------------------*/
	$(window).on('load', addNewClass);

	function addNewClass() {
		$('body').imagesLoaded().done(function(instance) {
		$('body').addClass('loaded');
		});
	}

	/*-------------------------------------
	WOW
	-------------------------------------*/
	var wow = new WOW({
		boxClass: 'wow',
		animateClass: 'animated',
		offset: 0,
		mobile: false,
		live: true,
		scrollContainer: null
	});
	wow.init();	

	/*--------------------------------------
  	Isotope initialization
  	--------------------------------------*/
	var $container = $(".isotope-wrap");
	if ($container.length > 0) {
		var $isotope;
		var blogGallerIso = $(".featuredContainer", $container).imagesLoaded(function () {
			var selectero = $container.find('.isotope-classes-tab .nav-item:first-child').data('filter') || '*';

			$isotope = $(".featuredContainer", $container).isotope({
				filter: selectero,
				transitionDuration: "1s",
				hiddenStyle: {
					opacity: 0,
					transform: "scale(0.001)"
				},
				visibleStyle: {
					transform: "scale(1)",
					opacity: 1
				}
			});
		});
		$container.find(".isotope-classes-tab").on("click", "a", function () {
			var $this = $(this);
			$this
				.parent(".isotope-classes-tab")
				.find("a")
				.removeClass("current");
			$this.addClass("current");
			var selector = $this.attr("data-filter");
			$isotope.isotope({
				filter: selector
			});
			return false;
		});
	}

	/*-------------------------------------
  	Jquery Serch Box
  	-------------------------------------*/
	$('a[href="#template-search"]').on("click", function (event) {
		event.preventDefault();
		var target = $("#template-search");
		target.addClass("open");
		setTimeout(function () {
			target.find('input').focus();
		}, 600);
		return false;
	});

	$("#template-search, #template-search button.close").on("click keyup", function (event) {
		if (
			event.target === this ||
			event.target.className === "close" ||
			event.keyCode === 27
		) {
			$(this).removeClass("open");
		}
	});

	/* ---------------------------------------
    Hoverdir Initialization
    --------------------------------------- */
	$('.multi-side-hover').each(function () {
		$(this).hoverdir({
			hoverDelay: 5,
		});
	});

	/*-------------------------------------
	On click loadmore functionality
	-------------------------------------*/
	$('.loadmore').on('click', 'a', function (e) {
		e.preventDefault();
		var _this = $(this),
			_parent = _this.parents('.menu-list-wrapper'),
			button_wrapper = _parent.find('.loadmore'),
			item = button_wrapper.data('item') || 3,
			sm = button_wrapper.data('sm') || null,
			md = button_wrapper.data('md') || null,
			lg = button_wrapper.data('lg') || null,
			_target = _parent.find('.menu-list'),
			_set = _target.find('.menu-item.d-none').slice(0, item);

		if (sm || md || lg) {
			var wWidth = $(window).width();
			if (lg && wWidth > 991) {
				_set = _target.find('.menu-item.d-none').slice(0, lg);
			} else if (md && wWidth <= 991 && wWidth >= 768) {
				_set = _target.find('.menu-item.d-none').slice(0, md);
			} else if (sm && wWidth < 768) {
				_set = _target.find('.menu-item.d-none').slice(0, sm);
			}
		}

		if (_set.length) {
			_set.animate({
				opacity: 0
			});
			_set.promise().done(function () {
				_set.removeClass('d-none');
				_set.show().animate({
					opacity: 1
				}, 1000);
			});
		} else {
			_this.text('No more item to display');
		}
		return false;
	});

	/*-------------------------------------
	Count Up
	-------------------------------------*/
	var counterContainer = $('.counter');
	if (counterContainer.length) {
		counterContainer.counterUp({
			delay: 50,
			time: 5000
		});
	}	

	/*-------------------------------------
	On Scroll 
	-------------------------------------*/
	$(window).on('scroll', function () {

		// Back Top Button
		if ($(window).scrollTop() > 700) {
			$('.return-to-top').addClass('back-top');
		} else {
			$('.return-to-top').removeClass('back-top');
		}

		// Sticky Menu
		if ($('header').hasClass('sticky-on')) {
			var stickyPlaceHolder = $("#sticky-placeholder"),
				menu = $("#navbar-wrap"),
				menuH = menu.outerHeight(),
				topbarH = $('#topbar-wrap').outerHeight() || 0,
				targrtScroll = topbarH,
				header = $("header");
			if ($(window).scrollTop() > targrtScroll) {
				header.addClass('sticky');
				stickyPlaceHolder.height(menuH);
			} else {
				header.removeClass('sticky');
				stickyPlaceHolder.height(0);
			}
		}
	});

	/*---------------------------------------
	On Click Section Switch
	--------------------------------------- */
	$('[data-type="section-switch"]').on('click', function () {
		if (location.pathname.replace(/^\//, '') === this.pathname.replace(/^\//, '') && location.hostname === this.hostname) {
			var target = $(this.hash);
			if (target.length > 0) {

				target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
				$('html,body').animate({
					scrollTop: target.offset().top
				}, 1000);
				return false;
			}
		}
	});

	/*-------------------------------------
	Window On Load Function
	-------------------------------------*/
	$(window).on('load resize', function () {

		// Page Preloader
		$('#preloader').fadeOut('slow', function () {
			$(this).remove();
		});

		// Popup
		var yPopup = $(".popup-youtube");
		if (yPopup.length) {
			yPopup.magnificPopup({
				disableOn: 200,
				type: 'iframe',
				mainClass: 'mfp-fade',
				removalDelay: 160,
				preloader: false,
				fixedContentPos: false
			});
		}

		// Masonry
		$('.masonry-items').masonry({
			itemSelector: '.masonry-item',
			columnWidth: '.masonry-item',
		});

		// Gallery Popup
		if ($('.zoom-gallery').length) {
			$('.zoom-gallery').each(function () {
				$(this).magnificPopup({
					delegate: 'a.popup-zoom',
					type: 'image',
					gallery: {
						enabled: true
					}
				});
			});
		}

	});

	/*-------------------------------------
  	Select2 activation code
  	-------------------------------------*/
  	if ($('select.select2').length) {
    $('select.select2').select2({
	  theme: 'classic',
      dropdownAutoWidth: true,
      width: '100%'
    });
  	}

	/*--------------------------------------
  	Isotope initialization
  	--------------------------------------*/
	var $container = $(".isotope-wrap");
	if ($container.length > 0) {

		function createGalleryPopup(selector) {
			selector = selector || '';
			$('.featuredContainer').magnificPopup({
				delegate: selector + ' a.popup-zoom',
				type: 'image',
				gallery: {
					enabled: true
				}
			});
		}

		var $isotope;
		var blogGallerIso = $(".featuredContainer", $container).imagesLoaded(function () {
		var selectero = $container.find('.isotope-classes-tab .nav-item:first-child').data('filter') || '*';
			$isotope = $(".featuredContainer", $container).isotope({
				filter: selectero,
				transitionDuration: "1s",
				hiddenStyle: {
					opacity: 0,
					transform: "scale(0.001)"
				},
				visibleStyle: {
					transform: "scale(1)",
					opacity: 1
				}
			});
			createGalleryPopup(selectero);
		});
		$container.find(".isotope-classes-tab").on("click", "a", function () {
			var $this = $(this);
			$this
				.parent(".isotope-classes-tab")
				.find("a")
				.removeClass("current");
			$this.addClass("current");
			var selector = $this.attr("data-filter");
			$isotope.isotope({
				filter: selector
			});
			createGalleryPopup(selector);
			return false;
		});
	}

	/*--------------------------------------
  	Icon Rotate
  	--------------------------------------*/
	$(function(){
		$('button').on("click", function () {
			$('#icon_wrap').addClass("rotate-me");
			setTimeout(RemoveClass, 4500);
		});
		function RemoveClass() {
			$('#icon_wrap').removeClass("rotate-me");
		}
	});

	/*-------------------------------------
    Mobile Menu
    -------------------------------------*/
	var a = $('.offscreen-navigation .menu');

    if (a.length) {
        a.children("li").addClass("menu-item-parent");
        a.find(".menu-item-has-children > a").on("click", function (e) {
            e.preventDefault();
            $(this).toggleClass("opened");
            var n = $(this).next(".sub-menu"),
                s = $(this).closest(".menu-item-parent").find(".sub-menu");
            a.find(".sub-menu").not(s).slideUp(250).prev('a').removeClass('opened'), n.slideToggle(250)
        });
        a.find('.menu-item:not(.menu-item-has-children) > a').on('click', function (e) {
            $('.rt-slide-nav').slideUp();
            $('body').removeClass('slidemenuon');
        });
    }

	$('.mean-bar .sidebarBtn').on('click', function (e) {
		e.preventDefault();
		if ($('.rt-slide-nav').is(":visible")) {
			$('.rt-slide-nav').slideUp();
			$('body').removeClass('slidemenuon');
		} else {
			$('.rt-slide-nav').slideDown();
			$('body').addClass('slidemenuon');
		}
	});

	//---------------------------------------------
    //Nivo slider
    //---------------------------------------------
    function nivoSliderInitialization(){
    	$('#ensign-nivoslider-1').nivoSlider({
	        effect: 'sliceUpDown',
	        slices: 15,
	        boxCols: 8,
	        boxRows: 4,
	        animSpeed: 1400,
	        pauseTime: 5000,
	        startSlide: 0,
	        directionNav: true,
	        controlNav: false,
	        controlNavThumbs: false,
	        pauseOnHover: false,
	        manualAdvance: true,
	        prevText: '<i class="fas fa-chevron-left"></i>',
	        nextText: '<i class="fas fa-chevron-right"></i>',
	        randomStart: false,
	        beforeChange: function() {},
	        afterChange: function() {},
	        slideshowEnd: function() {},
	        lastSlide: function() {},
	        afterLoad: function() {}

	    });

    	var navControl = $('#ensign-nivoslider-2').data('navcontrol');
	    $('#ensign-nivoslider-2').nivoSlider({
	        effect: 'sliceUpDown',
	        slices: 15,
	        boxCols: 8,
	        boxRows: 4,
	        animSpeed: 1400,
	        pauseTime: 5000,
	        startSlide: 0,
	        directionNav: navControl,
	        controlNav: true,
	        controlNavThumbs: false,
	        pauseOnHover: false,
	        manualAdvance: true,
	        prevText: '',
	        nextText: '',
	        randomStart: false,
	        beforeChange: function() {},
	        afterChange: function() {},
	        slideshowEnd: function() {},
	        lastSlide: function() {},
	        afterLoad: function() {}

	    });
    }

	//*** Woddingat function Start ***//
	function woddingat_content_load_scripts(){
		nivoSliderInitialization();

		// Remove Fluent form home button classes
		$('.woddingat-custom-btn').removeClass('ff-btn ff-btn-submit ff-btn-lg wpf_has_custom_css');
		$('.woddingat-custom-btn').wrapInner( "<span><span></span></span>");
		/*-------------------------------------
	    Theia Side Bar
	    -------------------------------------*/
		if (typeof ($.fn.theiaStickySidebar) !== "undefined") {
			$('.sticky-coloum-wrap .sticky-coloum-item').theiaStickySidebar({
				additionalMarginTop: 130
			});
		}

		/*-------------------------------------
		Countdown activation code
		-------------------------------------*/
		var eventCounter = $('#countdown');
		if (eventCounter.length) {
			var countdate = eventCounter.data('countdate');
			eventCounter.countdown(countdate, function (e) {
				$(this).html(e.strftime("<div class='countdown-section'><h2>%D</h2> <h3>Day%!D</h3> </div><div class='countdown-section'><h2>%H</h2> <h3>Hour%!H</h3> </div><div class='countdown-section'><h2>%M</h2> <h3>Minutes</h3> </div><div class='countdown-section'><h2>%S</h2> <h3>Second</h3> </div>"))

			});
		}

		/*-------------------------------------
		Feature
		-------------------------------------*/
		$('.nav-tab-wrap .nav li')
		.on('mouseover', function(){
			var li =$(this),
				ul = li.parent(),
				wrap = li.closest('.nav-tab-wrap'),
				tab_content = $('.tab-content', wrap),
				current_index = li.index();
			ul
				.find('li')
				.removeClass('active');
			li
				.addClass('active');
			tab_content
				.find( ".tab-pane" )
				.removeClass('active')
				.eq( current_index )
				.addClass('active');

		})
		.on('mouseout', function(){
			var li =$(this);
			var li =$(this),
				ul = li.parent(),
				wrap = li.closest('.nav-tab-wrap'),
				tab_content = $('.tab-content', wrap),
				current_index = li.index();
				if(ul.find('li.active').length > 1){
					li.removeClass('active');
				}
				if(tab_content.find('.tab-pan.active').length > 1){
					tab_content
						.find( ".tab-pane" )
						.eq( current_index )
						.removeClass('active');
				}
		});

		/*-------------------------------------
		Intersection Observer
		-------------------------------------*/
		if (!!window.IntersectionObserver) {
			let observer = new IntersectionObserver((entries, observer) => {
				entries.forEach(entry => {
					if (entry.isIntersecting) {
						entry.target.classList.add("active-animation");
						observer.unobserve(entry.target);
					}
				});
			}, {
				rootMargin: "0px 0px -100px  0px"
			});
			document.querySelectorAll('.has-animation').forEach(block => {
				observer.observe(block)			
			});
		} else {
			document.querySelectorAll('.has-animation').forEach(block => {
				block.classList.remove('has-animation')
			});
		}
			
		/*-------------------------------------
	    Slick Slider
		-------------------------------------*/
		const slider = $(".portfolio-carousel1");		
		slider.on('wheel', (function(e) {
			e.preventDefault();
			if (e.originalEvent.deltaY < 0) {
				$(this).slick('slickNext');
			} else {
				$(this).slick('slickPrev');
			}
		}));

		if ($.fn.slick) {
			$('.testimonial-carousel1').each(function () {
				let $carousel = $(this);
				$carousel.imagesLoaded(function () {
					var data = $carousel.data('slick'),
						slidesToShow = data.slidesToShow,
						slidesToShowTab = data.slidesToShowTab,
						slidesToShowMobile = data.slidesToShowMobile,
						slidesToShowMobiles = data.slidesToShowMobiles;
					$carousel.not('.slick-initialized').slick({
						slidesToShow: slidesToShow,
						slidesToScroll: 1,
						speed: 1000,
						infinite: true,
						centerMode: false,
						centerPadding: '0px',
						pauseOnHover: true,
						cssEase: 'ease-in-out',
						responsive: [{
								breakpoint: 1024,
								settings: {
									slidesToShow: slidesToShowTab,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 768,
								settings: {
									slidesToShow: slidesToShowMobile,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 576,
								settings: {
									slidesToShow: slidesToShowMobiles,
									slidesToScroll: 1
								}
							}
						]
					});
				});
			});
			$('.brand-carousel1').each(function () {
				let $carousel = $(this);
				$carousel.imagesLoaded(function () {
					var data = $carousel.data('slick'),
						slidesToShow = data.slidesToShow,
						slidesToShowTab = data.slidesToShowTab,
						slidesToShowMobile = data.slidesToShowMobile,
						slidesToShowMobiles = data.slidesToShowMobiles;
					$carousel.not('.slick-initialized').slick({
						slidesToShow: slidesToShow,
						slidesToScroll: 1,
						speed: 1000,
						infinite: true,
						centerMode: false,
						centerPadding: '0px',
						pauseOnHover: true,
						cssEase: 'ease-in-out',
						responsive: [{
								breakpoint: 1024,
								settings: {
									slidesToShow: slidesToShowTab,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 768,
								settings: {
									slidesToShow: slidesToShowMobile,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 576,
								settings: {
									slidesToShow: slidesToShowMobiles,
									slidesToScroll: 1
								}
							}
						]
					});
				});
			});
			$('.follow-carousel1').each(function () {
				let $carousel = $(this);
				$carousel.imagesLoaded(function () {
					var data = $carousel.data('slick'),
						slidesToShow = data.slidesToShow,
						slidesToShowTab = data.slidesToShowTab,
						slidesToShowMobile = data.slidesToShowMobile,
						slidesToShowMobiles = data.slidesToShowMobiles;
					$carousel.not('.slick-initialized').slick({
						slidesToShow: slidesToShow,
						slidesToScroll: 1,
						speed: 1000,
						infinite: true,
						centerMode: false,
						centerPadding: '0px',
						pauseOnHover: true,
						cssEase: 'ease-in-out',
						responsive: [{
								breakpoint: 1024,
								settings: {
									slidesToShow: slidesToShowTab,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 768,
								settings: {
									slidesToShow: slidesToShowMobile,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 576,
								settings: {
									slidesToShow: slidesToShowMobiles,
									slidesToScroll: 1
								}
							}
						]
					});
				});
			});
			$('.portfolio-carousel1').each(function () {			
				let $carousel = $(this);
				$carousel.imagesLoaded(function () {
					var data = $carousel.data('slick'),
						slidesToShow = data.slidesToShow,
						slidesToShowTab = data.slidesToShowTab,
						slidesToShowMobile = data.slidesToShowMobile,
						slidesToShowMobiles = data.slidesToShowMobiles;
					$carousel.not('.slick-initialized').slick({
						slidesToShow: slidesToShow,
						slidesToScroll: 1,
						speed: 1000,
						infinite: true,
						centerMode: false,
						centerPadding: '0px',
						pauseOnHover: true,
						cssEase: 'ease-in-out',
						responsive: [{
								breakpoint: 1024,
								settings: {
									slidesToShow: slidesToShowTab,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 768,
								settings: {
									slidesToShow: slidesToShowMobile,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 576,
								settings: {
									slidesToShow: slidesToShowMobiles,
									slidesToScroll: 1
								}
							}
						]
					});
				});
			});
			$('.gallery-carousel').each(function () {
				let $carousel = $(this);
				$carousel.imagesLoaded(function () {
					var data = $carousel.data('slick'),
						slidesToShow = data.slidesToShow,
						slidesToShowTab = data.slidesToShowTab,
						slidesToShowMobile = data.slidesToShowMobile,
						slidesToShowMobiles = data.slidesToShowMobiles;
					$carousel.not('.slick-initialized').slick({
						prevArrow: '<span class="slick-prev slick-navigation"><i class="fas fa-chevron-left"></i></span>',
						nextArrow: '<span class="slick-next slick-navigation"><i class="fas fa-chevron-right"></i></span>',
						slidesToShow: slidesToShow,
						slidesToScroll: 1,
						speed: 1000,
						infinite: true,
						centerMode: false,
						centerPadding: '0px',
						pauseOnHover: true,
						cssEase: 'ease-in-out',
						responsive: [{
								breakpoint: 1024,
								settings: {
									slidesToShow: slidesToShowTab,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 768,
								settings: {
									slidesToShow: slidesToShowMobile,
									slidesToScroll: 1
								}
							},
							{
								breakpoint: 576,
								settings: {
									slidesToShow: slidesToShowMobiles,
									slidesToScroll: 1
								}
							}
						]
					});
				});
			});
		}

		/*-------------------------------------
		Pagepiling
		-------------------------------------*/
		if ($(window).width() > 991) {
			if ($('#pagepiling').length) {
				$('#pagepiling').pagepiling({
					scrollingSpeed: 280,
					loopBottom: true,
				});
			}
		}

		/*---------------------------------------
		Background Parallax
		--------------------------------------- */
		if ($('.parallaxie').length) {
			$(".parallaxie").parallaxie({
				speed: 0.5,
				offset: 0,
			});
		}

		/*-------------------------------------
		Section background image 
		-------------------------------------*/
		imageFunction();
		function imageFunction() {
			$('[data-bg-image]').each(function () {
				var img = $(this).data('bg-image');
				$(this).css({
					backgroundImage: 'url(' + img + ')',
				});
			});
		}	
	}
	//*** Woddingat function End ***//

	// Window Load+Resize
	$(window).on('load resize', function () {
		// Elementor Frontend Load
	      $(window).on('elementor/frontend/init', function () {
	          if (elementorFrontend.isEditMode()) {
	              elementorFrontend.hooks.addAction('frontend/element_ready/widget', function () {
	                  woddingat_content_load_scripts();
	              });
	          }
	      });
      });

	// Window Load
    $(window).on('load', function () {
        woddingat_content_load_scripts();
    }); 

})(jQuery);


