<?php

/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>

    <!-- // Preloader -->
    <?php
        if( !empty( RDTheme::$options['preloader_image'] ) ) {
            $pre_bg = wp_get_attachment_image_src( RDTheme::$options['preloader_image'], 'full', true );
            $preloader_img = $pre_bg[0];
        }else {
            $preloader_img = Helper::get_img( 'preloader.gif' );
        }

        if ( RDTheme::$options['preloader'] ){
            if (!empty($preloader_img)) {                
                echo '<div id="preloader" style="background-image:url(' . esc_url($preloader_img) . ');"></div>';
            }
        }
    ?>

    <!-- Main Wrapper Start -->
    <div id="wrapper" class="wrapper">
    <?php if( RDTheme::$options['back_to_top']) { ?>
        <a href="#main_content" data-type="section-switch" class="return-to-top">
            <i class="fas fa-angle-double-up"></i>
        </a>
    <?php } ?>

    <!-- Main Content Start -->
    <div id="main_content" class="main-content">
        <?php get_template_part('template-parts/header/mobile', 'menu');?>
        <?php get_template_part('template-parts/header/header', RDTheme::$header_style); ?>

        <?php get_template_part('template-parts/content', 'banner'); ?>




