<?php

if ( class_exists( 'WP_Customize_Control' ) ) {

    /**
     * Check is Preloader Enabled
     */
    if ( ! function_exists( 'rttheme_is_preloader_enabled' ) ) {
        function rttheme_is_preloader_enabled() {
            $preloader = get_theme_mod('preloader');
            if (empty($preloader)) {
                return false;
            }
            return true;
        }
    }
    /* 
    = Header Top
    ==========================================================*/
    /**
     * Check is Enabled Header Top
     */
    if ( ! function_exists( 'rttheme_is_header_top_enabled' ) ) {
        function rttheme_is_header_top_enabled() {
            $h_style = get_theme_mod( 'header_style' ); 
            $top_bar = get_theme_mod('top_bar');
            if ( $h_style == 1 && !empty( $top_bar ) ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is Header Style 1 Enabled
     */
    if ( ! function_exists( 'rttheme_is_header_style1_enabled' ) ) {
        function rttheme_is_header_style1_enabled() {
            $chk_style = get_theme_mod( 'header_style' );  
            if ( !empty($chk_style) && $chk_style == 1 ) {
                return true;
            }
            return false;
        }
            
    }
    /**
     * Check is Menu Right Enabled
     */
    if ( ! function_exists( 'rttheme_is_menu_right_enabled' ) ) {
        function rttheme_is_menu_right_enabled() {
            $menu_right_part = get_theme_mod( 'menu_right_part' );
            if ( empty( $menu_right_part ) ) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is Offcanvas Menu Enabled
     */
    if ( ! function_exists( 'rttheme_is_offcanvas_menu_enabled' ) ) {
        function rttheme_is_offcanvas_menu_enabled() {
            $offcanvas_menu = get_theme_mod( 'offcanvas_menu' );
            if ( empty( $offcanvas_menu ) ) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is Header Style and  Offcanvas Menu Enabled
     */
    if ( ! function_exists( 'rttheme_is_offcanvm_hstyle_enabled' ) ) {
        function rttheme_is_offcanvm_hstyle_enabled() {
            $offcanvas_menu = get_theme_mod( 'offcanvas_menu' );
            $header_style = get_theme_mod( 'header_style' );
            if ( $offcanvas_menu == 1 && ( $header_style == 1 || $header_style == 2 || $header_style == 4 || $header_style == 5 ) ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is Header Style and  Offcanvas Menu Enabled
     */
    if ( ! function_exists( 'rttheme_is_offcanvm_socials_enabled' ) ) {
        function rttheme_is_offcanvm_socials_enabled() {
            $offcanvas_menu   = get_theme_mod( 'offcanvas_menu' );
            $header_style     = get_theme_mod( 'header_style' );
            $offcanvm_socials = get_theme_mod( 'offcanvm_socials' );
            if ( $offcanvas_menu == 1 && ( $header_style == 1 || $header_style == 2 || $header_style == 4 || $header_style == 5 ) && $offcanvm_socials == 1 ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is Enabled Socials
     */
    if ( ! function_exists( 'rttheme_is_socials_enabled' ) ) {
        function rttheme_is_socials_enabled() {
            $socials = get_theme_mod( 'socials' );
            if ( empty( $socials ) ) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is Main menu enabled
     */
    if ( ! function_exists( 'rttheme_is_main_menu_style_enabled' ) ) {
        function rttheme_is_main_menu_style_enabled() {
            $main_menu_style = get_theme_mod('main_menu_style');
            if (empty($main_menu_style)) {
                return false;
            }
            return true;
        }
    }
	/* = Page Layout
    ==========================================================*/
	/**
     * Check is Enabled Header Button
     */
    if ( ! function_exists( 'rttheme_is_header_banner_enabled' ) ) {
        function rttheme_is_header_banner_enabled() {
            $page_banner = get_theme_mod('page_banner');
            if (empty($page_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected banner background type is image
     */
    if ( ! function_exists( 'rttheme_banner_bgimg_type_condition' ) ) {
        function rttheme_banner_bgimg_type_condition() {
            $page_banner = get_theme_mod('page_banner'); 
            $BgType = get_theme_mod('page_banner_bg_type');
            if ( $BgType === 'bgimg' && $page_banner === 1 ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is selected banner background type is color
     */
    if ( ! function_exists( 'rttheme_banner_bgcolor_type_condition' ) ) {
        function rttheme_banner_bgcolor_type_condition() {
            $checkbox_value = get_theme_mod( 'page_banner', false );
            $select_value   = get_theme_mod( 'page_banner_bg_type', 'bgcolor' );
            if ( !empty( $checkbox_value ) && $select_value == 'bgcolor' ) {
                return true;
            }
            return false;
        }
    }
    /* = Team
    ==========================================================*/
    /**
     * Check is Enabled Team Banner Button
     */
    if ( ! function_exists( 'rttheme_is_steam_banner_enabled' ) ) {
        function rttheme_is_steam_banner_enabled() {
            $steam_page_banner = get_theme_mod('team_banner');
            if (empty($steam_page_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected single team banner background type is image
     */
    if ( ! function_exists( 'rttheme_steam_banner_bgimg_type_condition' ) ) {
        function rttheme_steam_banner_bgimg_type_condition() {
            $StBgType = get_theme_mod('team_banner_bg_type');
            $steam_page_banner = get_theme_mod('team_banner');
            if ( $StBgType === 'bgimg' && $steam_page_banner === 1 ) {
                return true;
            }
            return false;
        }
    }
    /* = Single Team Banner
    ==========================================================*/
    /**
     * Check is Enabled Header Button
     */
    if ( ! function_exists( 'rttheme_is_single_team_banner_enabled' ) ) {
        function rttheme_is_single_team_banner_enabled() {
            $single_team_banner = get_theme_mod('team_banner');
            if (empty($single_team_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected single team banner background type is color
     */
    if ( ! function_exists( 'rttheme_steam_banner_bgcolor_type_condition' ) ) {
        function rttheme_steam_banner_bgcolor_type_condition() {
            $checkbox_value = get_theme_mod( 'team_banner', false );
            $select_value   = get_theme_mod( 'team_banner_bg_type', 'bgcolor' );
            if ( !empty( $checkbox_value ) && $select_value == 'bgcolor' ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is Enabled Brand
     */
    if ( ! function_exists( 'rttheme_is_single_team_brand_enabled' ) ) {
        function rttheme_is_single_team_brand_enabled() {
            $single_team_brand = get_theme_mod('team_brand');
            if (empty($single_team_brand)) {
                return false;
            }
            return true;
        }
    }
     /* = Portfolio
    ==========================================================*/
    /**
     * Check is Enabled Portfolio Banner Button
     */
    if ( ! function_exists( 'rttheme_is_portfolio_banner_enabled' ) ) {
        function rttheme_is_portfolio_banner_enabled() {
            $portfolio_page_banner = get_theme_mod('portfolio_banner');
            if (empty($portfolio_page_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected single portfolio banner background type is image
     */
    if ( ! function_exists( 'rttheme_portfolio_banner_bgimg_type_condition' ) ) {
        function rttheme_portfolio_banner_bgimg_type_condition() {
            $StBgType = get_theme_mod('portfolio_banner_bg_type');
            $portfolio_page_banner = get_theme_mod('portfolio_banner');
            if ( $StBgType === 'bgimg' &&  $portfolio_page_banner === 1 ) {
                return true;
            }
            return false;
        }
    }
    /* = Single portfolio Banner
    ==========================================================*/
    /**
     * Check is Enabled Header Button
     */
    if ( ! function_exists( 'rttheme_is_single_portfolio_banner_enabled' ) ) {
        function rttheme_is_single_portfolio_banner_enabled() {
            $single_portfolio_banner = get_theme_mod('portfolio_banner');
            if (empty($single_portfolio_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected single portfolio banner background type is color
     */
    if ( ! function_exists( 'rttheme_portfolio_banner_bgcolor_type_condition' ) ) {
        function rttheme_portfolio_banner_bgcolor_type_condition() {
            $checkbox_value = get_theme_mod( 'portfolio_banner', false );
            $select_value   = get_theme_mod( 'portfolio_banner_bg_type', 'bgcolor' );
            if ( !empty( $checkbox_value ) && $select_value == 'bgcolor' ) {
                return true;
            }
            return false;
        }
    }
     /* = Porttolio Grid Enable
    ==========================================================*/
    if ( ! function_exists( 'rttheme_portfolio_grid_enabled' ) ) {
        function rttheme_portfolio_grid_enabled() {
            $portfolio = get_theme_mod( 'portfolio_style' );
            if ( $portfolio == 1 || $portfolio == 2 || $portfolio == 3 || $portfolio == 4 ) {
                return true;
            } else {
                return false;
            }
            return false;
        }
    }
    /**
     * Check is single portfolio related post enable
     */
    if ( ! function_exists( 'rttheme_is_related_portfolio_enabled' ) ) {
        function rttheme_is_related_portfolio_enabled() {
            $port_related_post = get_theme_mod('port_related_post');
            if (empty($port_related_post)) {
                return false;
            }
            return true;
        }
    }
     /* = Service
    ==========================================================*/
    /**
     * Check is Enabled service Banner Button
     */
    if ( ! function_exists( 'rttheme_is_service_banner_enabled' ) ) {
        function rttheme_is_service_banner_enabled() {
            $service_banner = get_theme_mod('service_banner');
            if (empty($service_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected single service banner background type is image
     */
    if ( ! function_exists( 'rttheme_service_banner_bgimg_type_condition' ) ) {
        function rttheme_service_banner_bgimg_type_condition() {
            $SBgType = get_theme_mod('service_banner_bg_type');
            $service_banner = get_theme_mod('service_banner');
            if ( $SBgType === 'bgimg' && $service_banner === 1 ) {
                return true;
            }
            return false;
        }
    }
    /* = Single service Banner
    ==========================================================*/
    /**
     * Check is Enabled Header Button
     */
    if ( ! function_exists( 'rttheme_is_single_service_banner_enabled' ) ) {
        function rttheme_is_single_service_banner_enabled() {
            $single_service_banner = get_theme_mod('service_banner');
            if (empty($single_service_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected single service banner background type is color
     */
    if ( ! function_exists( 'rttheme_service_banner_bgcolor_type_condition' ) ) {
        function rttheme_service_banner_bgcolor_type_condition() {
            $checkbox_value = get_theme_mod( 'service_banner', false );
            $select_value   = get_theme_mod( 'service_banner_bg_type', 'bgcolor' );
            if ( !empty( $checkbox_value ) && $select_value == 'bgcolor' ) {
                return true;
            }
            return false;
        }
    }
    /* = Single Page Layout
    ==========================================================*/
    /**
     * Check is Enabled Header Button
     */
    if ( ! function_exists( 'rttheme_is_single_post_banner_enabled' ) ) {
        function rttheme_is_single_post_banner_enabled() {
            $page_banner = get_theme_mod('single_post_banner');
            if (empty($page_banner)) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected banner background type is image
     */
    if ( ! function_exists( 'rttheme_single_banner_bgimg_type_condition' ) ) {
        function rttheme_single_banner_bgimg_type_condition() {
            $page_banner = get_theme_mod('single_post_banner');
            $BgType = get_theme_mod('single_post_banner_bg_type');
            if ( $BgType === 'bgimg' && $page_banner === 1 ) {
                return true;
            }
            return false;
        }
    }

    /**
     * Check is Enabled Blog Style 1
     */
    if ( ! function_exists( 'rttheme_is_blog_style1_enabled' ) ) {
        function rttheme_is_blog_style1_enabled() {
            $blog_style = get_theme_mod('blog_style');
            if ( $blog_style == 1 ) {
                return true;
            }
            return false;
        }
    }

    /**
     * Check is Enabled Blog Style 2
     */
    if ( ! function_exists( 'rttheme_is_blog_style2_enabled' ) ) {
        function rttheme_is_blog_style2_enabled() {
            $blog_style = get_theme_mod('blog_style');
            if ( $blog_style != 2 ) {
                return false;
            }
            return true;
        }
    }

    /**
     * Check is Enabled Blog quote
     */
    if ( ! function_exists( 'rttheme_is_quote_post_enabled' ) ) {
        function rttheme_is_quote_post_enabled() {
            $blog_quote_post = get_theme_mod('blog_quote_post');
            if (empty($blog_quote_post)) {
                return false;
            }
            return true;
        }
    }

    /**
     * Check is Enabled Blog excerpt
     */
    if ( ! function_exists( 'rttheme_is_excerpt_enabled' ) ) {
        function rttheme_is_excerpt_enabled() {
            $blog_excerpt = get_theme_mod('blog_excerpt');
            if (empty($blog_excerpt)) {
                return false;
            }
            return true;
        }
    }
    
    /* = Single Post Layout
    ==========================================================*/
    /**
     * Check is Enabled Social Share
     */
    if ( ! function_exists( 'rttheme_is_post_social_share_enabled' ) ) {
        function rttheme_is_post_social_share_enabled() {
            $post_social_share = get_theme_mod( 'post_share' );
            if ( empty( $post_social_share ) ) {
                return false;
            }
            return true;
        }
    }
    /**
     * Check is selected banner background type is color
     */
    if ( ! function_exists( 'rttheme_single_banner_bgcolor_type_condition' ) ) {
        function rttheme_single_banner_bgcolor_type_condition() {
            $select_value = get_theme_mod( 'single_post_banner', false );
            $select_bg_value = get_theme_mod( 'single_post_banner_bg_type', 'bgcolor' );
            if ( !empty( $select_value ) && $select_bg_value == 'bgcolor' ) {
                return true;
            }
            return false;
        }
    }
    /* = Footer 1 Enabled
    ==========================================================*/
    if ( ! function_exists( 'rttheme_is_footer1_enabled' ) ) {
        function rttheme_is_footer1_enabled() {
            $footer_style = get_theme_mod( 'footer_style', '1' );
            if ( $footer_style == 1 ) {
                return true;
            }
            return false;
        }
    }
    /* = Footer 2 Enabled
    ==========================================================*/
    if ( ! function_exists( 'rttheme_is_footer2_enabled' ) ) {
        function rttheme_is_footer2_enabled() {
            $footer_style2 = get_theme_mod( 'footer_style' );
            if ( $footer_style2 == 2 ) {
                return true;
            }
            return false;
        }
    }
    /* = Footer Style 1 & 2 Enabled
    ==========================================================*/
    if ( ! function_exists( 'rttheme_is_footer_onetwo_enabled' ) ) {
        function rttheme_is_footer_onetwo_enabled() {
            $footer_style = get_theme_mod( 'footer_style' ); 
            if ( $footer_style == 1 ||  $footer_style == 2 ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is Enabled Display Footer Top Area
     */
    if ( ! function_exists( 'rttheme_is_footertop_enabled' ) ) {
        function rttheme_is_footertop_enabled() {
            $footer_style = get_theme_mod( 'footer_style' ); 
            $display_footertop_area = get_theme_mod('display_footertop_area');
            if ( !empty( $display_footertop_area ) && $footer_style == 1 ) {
                return true;
            }
            return false;
        }
    }
    /**
     * Check is Enabled Display Copyright Button
     */
    if ( ! function_exists( 'rttheme_is_display_copyright_enabled' ) ) {
        function rttheme_is_display_copyright_enabled() {
            $display_copyright_area = get_theme_mod('display_copyright_area');
            if (empty($display_copyright_area)) {
                return false;
            }
            return true;
        }
    }
	/**
	 * URL sanitization
	 *
	 * @param  string	Input to be sanitized (either a string containing a single url or multiple, separated by commas)
	 * @return string	Sanitized input
	 */
	if ( ! function_exists( 'rttheme_url_sanitization' ) ) {
		function rttheme_url_sanitization( $input ) {
			if ( strpos( $input, ',' ) !== false) {
				$input = explode( ',', $input );
			}
			if ( is_array( $input ) ) {
				foreach ($input as $key => $value) {
					$input[$key] = esc_url_raw( $value );
				}
				$input = implode( ',', $input );
			}
			else {
				$input = esc_url_raw( $input );
			}
			return $input;
		}
	}
	/**
	 * Switch sanitization
	 *
	 * @param  string		Switch value
	 * @return integer	Sanitized value
	 */
	if ( ! function_exists( 'rttheme_switch_sanitization' ) ) {
		function rttheme_switch_sanitization( $input ) {
			if ( true === $input ) {
				return 1;
			} else {
				return 0;
			}
		}
	}
	/**
	 * Radio Button and Select sanitization
	 *
	 * @param  string		Radio Button value
	 * @return integer	Sanitized value
	 */
	if ( ! function_exists( 'rttheme_radio_sanitization' ) ) {
		function rttheme_radio_sanitization( $input, $setting ) {
			//get the list of possible radio box or select options
         $choices = $setting->manager->get_control( $setting->id )->choices;

			if ( array_key_exists( $input, $choices ) ) {
				return $input;
			} else {
				return $setting->default;
			}
		}
	}

	/**
	 * Integer sanitization
	 *
	 * @param  string		Input value to check
	 * @return integer	Returned integer value
	 */

	if ( ! function_exists( 'rttheme_sanitize_integer' ) ) {
		function rttheme_sanitize_integer( $input ) {
			return (int) $input;
		}
	}

	/**
	 * Text sanitization
	 *
	 * @param  string	Input to be sanitized (either a string containing a single string or multiple, separated by commas)
	 * @return string	Sanitized input
	 */
	if ( ! function_exists( 'rttheme_text_sanitization' ) ) {
		function rttheme_text_sanitization( $input ) {
			if ( strpos( $input, ',' ) !== false) {
				$input = explode( ',', $input );
			}
			if( is_array( $input ) ) {
				foreach ( $input as $key => $value ) {
					$input[$key] = sanitize_text_field( $value );
				}
				$input = implode( ',', $input );
			}
			else {
				$input = sanitize_text_field( $input );
			}
			return $input;
		}
	}

    /**
     * Google Font sanitization
     *
     * @param  string	JSON string to be sanitized
     * @return string	Sanitized input
     */

    if ( ! function_exists( 'rttheme_google_font_sanitization' ) ) {
        function rttheme_google_font_sanitization( $input ) {
            $val =  json_decode( $input, true );
            if( is_array( $val ) ) {
                foreach ( $val as $key => $value ) {
                    $val[$key] = sanitize_text_field( $value );
                }
                $input = json_encode( $val );
            }
            else {
                $input = json_encode( sanitize_text_field( $val ) );
            }
            return $input;
        }
    }

	/**
	 * Array sanitization
	 *
	 * @param  array	Input to be sanitized
	 * @return array	Sanitized input
	 */
	if ( ! function_exists( 'rttheme_array_sanitization' ) ) {
		function rttheme_array_sanitization( $input ) {
			if( is_array( $input ) ) {
				foreach ( $input as $key => $value ) {
					$input[$key] = sanitize_text_field( $value );
				}
			}
			else {
				$input = '';
			}
			return $input;
		}
	}

	/**
	 * Alpha Color (Hex & RGBa) sanitization
	 *
	 * @param  string	Input to be sanitized
	 * @return string	Sanitized input
	 */
	if ( ! function_exists( 'rttheme_hex_rgba_sanitization' ) ) {
		function rttheme_hex_rgba_sanitization( $input, $setting ) {
			if ( empty( $input ) || is_array( $input ) ) {
				return $setting->default;
			}

			if ( false === strpos( $input, 'rgba' ) ) {
				// If string doesn't start with 'rgba' then santize as hex color
				$input = sanitize_hex_color( $input );
			} else {
				// Sanitize as RGBa color
				$input = str_replace( ' ', '', $input );
				sscanf( $input, 'rgba(%d,%d,%d,%f)', $red, $green, $blue, $alpha );
				$input = 'rgba(' . rttheme_in_range( $red, 0, 255 ) . ',' . rttheme_in_range( $green, 0, 255 ) . ',' . rttheme_in_range( $blue, 0, 255 ) . ',' . rttheme_in_range( $alpha, 0, 1 ) . ')';
			}
			return $input;
		}
	}

	/**
	 * Only allow values between a certain minimum & maxmium range
	 *
	 * @param  number	Input to be sanitized
	 * @return number	Sanitized input
	 */
	if ( ! function_exists( 'rttheme_in_range' ) ) {
		function rttheme_in_range( $input, $min, $max ){
			if ( $input < $min ) {
				$input = $min;
			}
			if ( $input > $max ) {
				$input = $max;
			}
		    return $input;
		}
	}

	/**
	 * Date Time sanitization
	 *
	 * @param  string	Date/Time string to be sanitized
	 * @return string	Sanitized input
	 */

	if ( ! function_exists( 'rttheme_date_time_sanitization' ) ) {
		function rttheme_date_time_sanitization( $input, $setting ) {
			$datetimeformat = 'Y-m-d';
			if ( $setting->manager->get_control( $setting->id )->include_time ) {
				$datetimeformat = 'Y-m-d H:i:s';
			}
			$date = DateTime::createFromFormat( $datetimeformat, $input );
			if ( $date === false ) {
				$date = DateTime::createFromFormat( $datetimeformat, $setting->default );
			}
			return $date->format( $datetimeformat );
		}
	}

	/**
	 * Slider sanitization
	 *
	 * @param  string	Slider value to be sanitized
	 * @return string	Sanitized input
	 */
	if ( ! function_exists( 'rttheme_range_sanitization' ) ) {
		function rttheme_range_sanitization( $input, $setting ) {
			$attrs = $setting->manager->get_control( $setting->id )->input_attrs;

			$min = ( isset( $attrs['min'] ) ? $attrs['min'] : $input );
			$max = ( isset( $attrs['max'] ) ? $attrs['max'] : $input );
			$step = ( isset( $attrs['step'] ) ? $attrs['step'] : 1 );

			$number = floor( $input / $attrs['step'] ) * $attrs['step'];

			return rttheme_in_range( $number, $min, $max );
		}
	}

}
