<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;
use radiustheme\Woddingat_Core;
/*-------------------------------------
INDEX
=======================================
#. Defaults
#. Top Bar
#. Header
#. Banner
#. Footer
#. Widgets
#. Typography
#. Pagination
#. Buttons
#. Error 404
#. Comments
#. Inner Contents
#. Comments
#. Error 404
#. CPT
#. Blog

-------------------------------------*/
$woddingat = WODDINGAT_THEME_PREFIX_VAR;

$primary_color         = RDTheme::$options['primary_color']; // #f05f75
$primary_rgb           = Helper::hex2rgb( $primary_color ); // 240, 95, 117
$secondary_color       = RDTheme::$options['secondary_color']; // #121f38
$secondary_rgb         = Helper::hex2rgb( $secondary_color ); // 18, 31, 56

$menu_text_color           = RDTheme::$options['menu_text_color'];
$menu_text_active_color    = RDTheme::$options['menu_text_active_color'];
$menu_text_hover_color     = RDTheme::$options['menu_text_hover_color'];
$sub_menu_text_color       = RDTheme::$options['sub_menu_text_color'];
$sub_menu_active_color     = RDTheme::$options['sub_menu_active_color'];
$sub_menu_text_hover_color = RDTheme::$options['sub_menu_text_hover_color'];
$sub_menu_border_color     = RDTheme::$options['sub_menu_border_color'];
$sub_menu_hborder_color    = RDTheme::$options['sub_menu_hborder_color'];

$error_text1_color  = RDTheme::$options['error_text1_color'];
$error_text2_color  = RDTheme::$options['error_text2_color'];
$error_desc_color   = RDTheme::$options['error_desc_color'];
$error_btnbg        = RDTheme::$options['error_btnbg'];
$error_btntxt_color = RDTheme::$options['error_btntxt_color'];

$body_font['font'] = '';

$typo_body    = json_decode( RDTheme::$options['typo_body'], true );

if ($body_font['font'] == 'Inherit') {
	$typo_body['font'] = 'Roboto';
} else {
	$typo_body['font'] = $typo_body['font'];
}

$typo_menu = json_decode( RDTheme::$options['typo_menu'], true );

if ($typo_menu['font'] == 'Inherit') {
	$typo_menu['font'] = 'Roboto';
} else {
	$typo_menu['font'] = $typo_menu['font'];
}

$typo_sub_menu = json_decode( RDTheme::$options['typo_sub_menu'], true );

if ($typo_sub_menu['font'] == 'Inherit') {
	$typo_sub_menu['font'] = 'Cormorant';
} else {
	$typo_sub_menu['font'] = $typo_sub_menu['font'];
}

$typo_heading = json_decode( RDTheme::$options['typo_heading'], true );
if ($typo_heading['font'] == 'Inherit') {
	$typo_heading['font'] = 'Cormorant';
} else {
	$typo_heading['font'] = $typo_heading['font'];
}

$typo_h1 = json_decode( RDTheme::$options['typo_h1'], true );
if ($typo_h1['font'] == 'Inherit') {
	$typo_h1['font'] = '';
} else {
	$typo_h1['font'] = $typo_h1['font'];
}

$typo_h2 = json_decode( RDTheme::$options['typo_h2'], true );

if ($typo_h2['font'] == 'Inherit') {
	$typo_h2['font'] = '';
} else {
	$typo_h2['font'] = $typo_h2['font'];
}

$typo_h3 = json_decode( RDTheme::$options['typo_h3'], true );

if ( $typo_h3['font'] == 'Inherit') {
	$typo_h3['font'] = '';
} else {
	$typo_h3['font'] = $typo_h3['font'];
}

$typo_h4 = json_decode( RDTheme::$options['typo_h4'], true );

if ($typo_h4['font'] == 'Inherit') {
	$typo_h4['font'] = '';
} else {
	$typo_h4['font'] = $typo_h4['font'];
}

$typo_h5      = json_decode( RDTheme::$options['typo_h5'], true );

if ($typo_h5['font'] == 'Inherit') {
	$typo_h5['font'] = '';
} else {
	$typo_h5['font'] = $typo_h5['font'];
}

$typo_h6      = json_decode( RDTheme::$options['typo_h6'], true );

if ($typo_h6['font'] == 'Inherit') {
	$typo_h6['font'] = '';
} else {
	$typo_h6['font'] = $typo_h6['font'];
}


/*-------------------------------------
#. Typography
---------------------------------------*/
?>

body {
	<?php if( !empty( RDTheme::$options['body_color'] ) ) : ?>
	color: <?php echo esc_html( RDTheme::$options['body_color'] ); ?>;
    <?php endif; ?>
	font-family: '<?php echo esc_html( $typo_body['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_body_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_body_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_body['regularweight'] ) ?>;
	font-style: normal;
}

.header1:not(.trheader) nav.template-main-menu ul.menu > li > a,
.header2.trheader nav.template-main-menu ul.menu > li > a,
.header2:not(.trheader) nav.template-main-menu ul.menu > li > a,
body.pagepiling .offcanvas-content .offcanvas-menu > .menu-item a,
.header4.trheader nav.template-main-menu ul.menu > li > a,
.header5 nav.template-main-menu ul.menu > li > a{
	font-family: '<?php echo esc_html( $typo_menu['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_menu_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_menu_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_menu['regularweight'] ) ?>;
	font-style: normal;
}

<?php if ( !empty( $menu_text_color ) ) { ?>
	.header1:not(.trheader) nav.template-main-menu ul.menu > li > a,
	.header2.trheader nav.template-main-menu ul.menu > li > a,
	.header2:not(.trheader) nav.template-main-menu ul.menu > li > a,
	body.pagepiling .offcanvas-content ul.offcanvas-menu > .menu-item > a,
	.header4.trheader nav.template-main-menu ul.menu > li > a,
	.header5 nav.template-main-menu ul.menu > li > a
	{
		color: <?php echo esc_html( $menu_text_color ); ?>;
	}
<?php } ?>

<?php if ( !empty( $menu_text_hover_color ) ) { ?>
	.header1:not(.trheader) nav.template-main-menu ul.menu > li > a:hover,
	.header2.trheader nav.template-main-menu ul.menu > li > a:hover,
	.header2:not(.trheader) nav.template-main-menu ul.menu > li > a:hover,
	body.pagepiling .offcanvas-content .offcanvas-menu > .menu-item > a:hover,
	.header4.trheader nav.template-main-menu ul.menu > li > a:hover,
	.header5 nav.template-main-menu ul.menu > li > a:hover
	{
		color: <?php echo esc_html( $menu_text_hover_color ); ?>;
	}
<?php } ?>

<?php if( !empty( $menu_text_active_color ) ) { ?>
	nav.template-main-menu > ul.menu > li.current-menu-item > a, 
	nav.template-main-menu > ul.menu > li.current-menu-ancestor > a
	{
		color: <?php echo esc_html( $menu_text_active_color ); ?> !important;
	}
<?php } ?>

header.header nav.template-main-menu ul.menu > li ul.sub-menu > li > a, 
header.header nav.template-main-menu ul.menu > li ul.children > li > a,
nav.template-main-menu > ul.menu > li > ul.sub-menu > li.second-lavel > ul.sub-menu > li > a,
nav.template-main-menu > ul.menu > li.mega-menu.mega-menu-col-2.menu-item-has-children > ul.sub-menu > .menu-item > .sub-menu > li > a{
	font-family: '<?php echo esc_html( $typo_sub_menu['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_sub_menu_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_menu_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_sub_menu['regularweight'] ) ?>;
}

<?php if ( !empty( $sub_menu_text_color ) ) { ?>
	header.header nav.template-main-menu ul.menu > li ul.sub-menu > li > a, 
    header.header nav.template-main-menu ul.menu > li ul.children > li > a,
    body.pagepiling .offcanvas-content ul.offcanvas-menu > .menu-item ul.sub-menu > li > a,
    body.pagepiling .offcanvas-content ul.offcanvas-menu > .menu-item ul.children > li > a,
	nav.template-main-menu > ul.menu > li > ul.sub-menu > li.second-lavel > ul.sub-menu > li > a,
	nav.template-main-menu > ul.menu > li.mega-menu.mega-menu-col-2.menu-item-has-children > ul.sub-menu > .menu-item > .sub-menu > li > a{
		color: <?php echo esc_html( $sub_menu_text_color ); ?>
	}
<?php } ?>

<?php if( !empty( $sub_menu_active_color ) ) { ?>
	nav.template-main-menu > ul.menu > li > ul.sub-menu li.current-menu-ancestor > a, 
	nav.template-main-menu > ul.menu > li > ul.sub-menu .current-menu-item > a, 
	nav.template-main-menu > ul.menu > li > ul.children .current-menu-item > a
	{
		color: <?php echo esc_html( $sub_menu_active_color ); ?> !important;
	}
	nav.template-main-menu > ul.menu > li > ul.sub-menu > li.current-menu-ancestor:after, 
	nav.template-main-menu > ul.menu > li > ul.sub-menu > li.current-menu-item:after, 
	nav.template-main-menu > ul.menu > li.mega-menu.mega-menu-col-2.menu-item-has-children > ul.sub-menu > .menu-item > .sub-menu > li.current-menu-item:after
	{
		background-color: <?php echo esc_html( $sub_menu_active_color ); ?> !important;
	}
<?php } ?>

<?php if ( !empty( $sub_menu_text_hover_color ) ) { ?>
	header.header nav.template-main-menu ul.menu > li ul.sub-menu > li > a:hover, 
    header.header nav.template-main-menu ul.menu > li ul.children > li > a:hover,
    body.pagepiling .offcanvas-content ul.offcanvas-menu > .menu-item ul.sub-menu > li > a:hover,
    body.pagepiling .offcanvas-content ul.offcanvas-menu > .menu-item ul.children > li > a:hover,
	nav.template-main-menu > ul.menu > li > ul.sub-menu > li.second-lavel > ul.sub-menu > li > a:hover,
	nav.template-main-menu > ul.menu > li.mega-menu.mega-menu-col-2.menu-item-has-children > ul.sub-menu > .menu-item > .sub-menu > li > a:hover{
		color: <?php echo esc_html( $sub_menu_text_hover_color ); ?>
	}
<?php } ?>

<?php if ( !empty( $sub_menu_border_color ) ) { ?>
	nav.template-main-menu > ul.menu > li > ul.sub-menu > li:after, 
	nav.template-main-menu > ul.menu > li > ul.children > li:after{
		background-color: <?php echo esc_html( $sub_menu_border_color ) ?>;
	}
<?php } ?>
<?php if ( !empty( $sub_menu_hborder_color ) ) { ?>
	nav.template-main-menu > ul.menu > li > ul.sub-menu > li:before, 
	nav.template-main-menu > ul.menu > li > ul.children > li:before{
		background-color: <?php echo esc_html( $sub_menu_hborder_color ) ?>;
	}
<?php } ?>

h1,h2,h3,h4,h5,h6 {
	font-family: '<?php echo esc_html( $typo_heading['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_heading['regularweight'] ); ?>;
}

<?php if (!empty($typo_h1['font']) && $typo_h1['font'] != 'Inherit' ) { ?>
h1 {
	font-family: '<?php echo esc_html( $typo_h1['font'] ); ?>', serif;
	<?php if( !empty( $typo_h1['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h1['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h1 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h1_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h1_height'] ); ?>;
	font-style: normal;
}
<?php if (!empty($typo_h2['font']) && $typo_h2['font'] != 'Inherit' ) { ?>
h2 {
	font-family: '<?php echo esc_html( $typo_h2['font'] ); ?>', serif;
	<?php if( !empty( $typo_h2['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h2['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h2 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h2_size'] ); ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_h2_height'] ); ?>;
	font-style: normal;
}

<?php if ( !empty($typo_h3['font']) && $typo_h3['font'] != 'Inherit' ) { ?>
h3 {
	font-family: '<?php echo esc_html( $typo_h3['font'] ); ?>', serif;
	<?php if( !empty( $typo_h3['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h3['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h3 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h3_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h3_height'] ); ?>;
	font-style: normal;
}

<?php if (!empty($typo_h4['font']) && $typo_h4['font'] != 'Inherit' ) { ?>
h4 {
	font-family: '<?php echo esc_html( $typo_h4['font'] ); ?>', serif;
	<?php if( !empty( $typo_h4['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h4['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h4 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h4_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h4_height'] ); ?>;
	font-style: normal;
}
<?php if (!empty($typo_h5['font']) && $typo_h5['font'] != 'Inherit') { ?>
h5 {
	font-family: '<?php echo esc_html( $typo_h5['font'] ); ?>', serif;
	<?php if( !empty( $typo_h5['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h5['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h5 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h5_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h5_height'] ); ?>;
	font-style: normal;
}
<?php if ( !empty($typo_h6['font']) && $typo_h6['font'] != 'Inherit' ) { ?>
h6 {
	font-family: '<?php echo esc_html( $typo_h6['font'] ); ?>', serif;
	<?php if( !empty( $typo_h6['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h6['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h6 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h6_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h6_height'] ); ?>;
	font-style: normal;
}
<?php if( RDTheme::$header_style == 3 ) { ?>
body, html{ overflow:hidden; }
<?php } ?>
<?php if( !empty( $error_text1_color ) ) { ?>
	.error-wrap-layout1 .main-title { color: <?php echo esc_html( $error_text1_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_text2_color ) ) { ?>
	.error-wrap-layout1 h2.sub-title { color: <?php echo esc_html( $error_text2_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_desc_color ) ) { ?>
	.error-wrap-layout1 .item-paragraph { color: <?php echo esc_html( $error_desc_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_btnbg ) ) { ?>
	.error-wrap-layout1 .btn-fill { background-color: <?php echo esc_html( $error_btnbg ); ?>; }
<?php } ?>

<?php if( !empty( $error_btntxt_color ) ) { ?>
	.error-wrap-layout1 .btn-fill { color: <?php echo esc_html( $error_btntxt_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_btnhtxt_color ) ) { ?>
	.error-wrap-layout1 .btn-fill.style-1:hover { color: <?php echo esc_html( $error_btnhtxt_color ); ?>; }
<?php } ?>

<?php if( !empty( RDTheme::$options['header1_bg_color'] ) ) { ?>
	.topbar-layout1,
	.header1:not(.trheader) .navbar-wrap .header-menu
	{ 
		background-color: <?php echo esc_html( RDTheme::$options['header1_bg_color'] ); ?>; 
	}
<?php } ?>


<?php if ( !empty( $primary_color )) { 
// Background Color
?>
.btn-fill,
.tagcloud a:hover,
.team-tab li a:hover,
.team-tab li a.active,
.btn-fill > span:after,
.btn-fill > span:before,
.story-left-box ul li span,
.team-box .social li a:hover,
.btn-fill > span > span:after,
.btn-fill > span > span:before,
.testimonial-wrap-layout2:before,
.story-box-layout1:hover .icon-box,
.feature-box-layout1.nav li a:before,
.testimonial-box-layout1 .name:after,
.testimonial-box-layout1 .name:before,
.straight-line .start-end-point:after,
.straight-line .start-end-point:before,
.celebration-layout1 .footer-figure2 .banner,
.feature-box-layout1.tab-content .tab-pane a:hover span,
.single-blog-box-layout1 .post-navigation .post-nav:hover,
.main-banner-layout1 .nivo-directionNav .nivo-nextNav:hover,
.main-banner-layout1 .nivo-directionNav .nivo-prevNav:hover
{
background-color: <?php echo esc_html( $primary_color ); ?>;	
}

.story-box-layout1:hover
{
	background-color: rgba(<?php echo Helper::hex2rgb( $primary_color ); ?>, 0.5);
}
<?php } ?>


<?php if ( !empty( $primary_color )) { 
//Color
?>
.btn-text.style-2,
.btn-text.style-4,
.offcanvas-content h2,
.btn-text.style-3:hover,
.play-btn.style-3:hover,
.story-box-layout1 .date,
.about-box.style-1 .title,
blockquote .title a:hover,
.about-box.style-2 .title,
.pricing-box-layout1 .price,
.story-box-layout1 .icon-box,
.testimonial-box-layout3 .icon,
.service-box-layout2 .icon-box,
.testimonial-box-layout1 .name,
.service-box-layout1 .icon-box,
.testimonial-box-layout2 .icon,
.service-box-layout1 .sub-title,
.offcanvas-footer ul li a:hover,
.team-box .content-box .sub-title,
.offcanvas-content .text-btn:hover,
.footer-layout1 .footer-copyright a,
.section-heading.style-3 .sub-title,
.pagination-box .item-arrow a:hover,
.footer-layout3 .footer-copyright a,
.footer-layout2 .footer-copyright a,
.footer-layout3 ul.social li a:hover,
.team-box-layout2 .social li a:hover,
.blog-box .content-box .title a:hover,
.testimonial-box-layout3 .designation,
.widget.footer-widgets ul li a:hover, 
.sidebar-widget .widget ul li a:hover,
.testimonial-box-layout2 .designation,
.section-heading.style-6 .sub-title a,
.blog-box .content-box .entry-meta li i,
.main-banner-layout2 .social li a:hover,
.address-box-layout1 .address-info li i,
.countdown-layout1 .countdown-section h2,
.countdown-layout2 .countdown-section h2,
.team-box-layout2 .content-box .sub-title,
.footer-layout2 .footer-address .icon-box,
.midlebar-layout1 .contact-info .icon-box,
.single-blog-box-layout1 .entry-meta li i,
.single-blog-box-layout1 .post-tag a:hover,
.topbar-layout1 .social .single-item a:hover,
.pagination-box .navigation-separator a:hover,
.blog-box .content-box .entry-meta li a:hover,
.address-box-layout1 .address-info li a:hover,
.carousel-portfolio-footer .footer-copyright a,
.pagepiling-layout .left-box .social li a:hover,
.carousel-portfolio-footer ul.social li a:hover,
.single-blog-box-layout1 .entry-meta li a:hover,
.widget-search .input-group-addon button:hover i,
.offscreen-navigation li.current-menu-ancestor > a, 
.offscreen-navigation li.current-menu-item > a, 
.offscreen-navigation li.current-menu-parent > a,
.page-content-main .post-comment ul li .post-date,
.sidebar-widget .widget.widget_block ol li a:hover,
.carousel-portfolio-box .content-box .title a:hover,
.blog-box.blog-list .content-box .entry-meta li a:hover,
.single-blog-box-layout1 .post-share .social li a:hover,
.single-blog-box-layout1 .post-comment ul li .post-date,
.midlebar-layout1 .contact-info .content-box .item-title,
.invitation-box-layout1 .invitation-inner-box .sub-title,
.portfolio-box.portfolio-layout1 .item-content .sub-title a,
.footer-layout1 .footer-info > ul > li .social li a:hover,
.portfolio-box.portfolio-layout2 .item-content .sub-title a,
.portfolio-box.portfolio-layout2 .item-content .title a:hover, 
.portfolio-box.portfolio-layout3 .item-content .title a:hover,
.portfolio-box.portfolio-layout3 .item-content .sub-title a,
.portfolio-box.portfolio-layout4 .item-content .sub-title a,
.portfolio-box.portfolio-layout4 .item-content .title a:hover,
.portfolio-box.portfolio-layout5 .item-content .sub-title a,
.portfolio-box.portfolio-layout5 .item-content .title a:hover,
.portfolio-info-box .content-box .details-box li span a:hover, 
.single-blog-box-layout1 .post-comment ul li .item-btn a:hover,
.single-blog-box-layout1 .comment-form p.logged-in-as a:hover,
.portfolio-box.portfolio-layout1 .item-content .title a:hover,
.entry-banner-content .breadcrumb-area .entry-breadcrumb a:hover,
.portfolio-box.portfolio-layout3.stories .item-content .sub-title,
.sidebar-widget .widget-newsletter .newsletter-form-btn .ff-btn-submit:hover:before
{
color: <?php echo esc_html( $primary_color ); ?>;	
}

<?php } ?>


<?php if ( !empty( $primary_color )) { 
//Border Color
?>
.story-left-box,
.tagcloud a:hover,
.story-box-layout1:hover .icon-box,
.invitation-box-layout1 .invitation-inner-box,
.single-blog-box-layout1 .post-navigation .post-nav:hover
{
	border-color: <?php echo esc_html( $primary_color ); ?>;
}
<?php } ?>


<?php if ( !empty( $secondary_color )) { 
// Background Color
?>
.team-box .social,
.portfolio-box.portfolio-layout1 .item-content
{
	background-color: rgba(<?php echo Helper::hex2rgb( $secondary_color ); ?>, 0.75);
}
<?php } ?>

<?php if ( !empty( $secondary_color )) { 
//Color
?>
h1, 
h2, 
h3, 
h4, 
h5, 
h6,
.search-wrap a,
.team-tab li a,
blockquote span,
.btn-text.style-2:hover,
.story-box-layout1 .title,
.address-box-layout1 .title,
.service-box-layout2 .title,
.about-box.style-2 .sub-title,
.team-box .content-box .title,
.about-box.style-1 .sub-title,
.feature-box-layout1.nav li a,
.testimonial-box-layout2 .name,
.section-heading.style-4 .title,
.about-box.style-2 .description,
.blog-box .content-box .title a,
.section-heading.style-3 .title,
.section-heading.style-2 .title,
.section-heading.style-5 .title,
.testimonial-box-layout2 .title,
.section-heading.style-6 .title,
.single-blog-box-layout1 .title,
.footer-layout2 .footer-contact ul li,
.footer-layout1 .footer-info > ul > li,
.footer-layout2 .footer-contact ul li a,
.footer-layout1 .footer-info > ul > li a,
.process-box-layout1 .item-content .title,
.footer-layout2 .footer-address .description,
.feature-box-layout1.tab-content .tab-pane a,
.portfolio-info-box .content-box .details-box li,
.topbar-layout1 .header-schedule-info .single-item,
.portfolio-box.portfolio-layout5 .item-content .title a,
.portfolio-box.portfolio-layout4 .item-content .title a,
.portfolio-box.portfolio-layout3 .item-content .title a,
.portfolio-box.portfolio-layout2 .item-content .title a,
.midlebar-layout1 .contact-info .content-box .item-info,
.midlebar-layout1 .contact-info .content-box .item-info a,
.single-blog-box-layout1 .post-comment ul li .comment-title a, 
.page-content-main .post-comment ul li .comment-title a
{
	color: <?php echo esc_html( $secondary_color ); ?>;	
}

<?php } ?>








