<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;

class Socials {
  public static $sharers = [];
  public static $defaults = [];

  /**
   * generate all social share options
   * @return [type] [description]
   */
  public static function generate_defults() {
    $url   = urlencode( get_permalink() );
    $title = urlencode( get_the_title() );
    $defaults = [
      'facebook' => [
        'url'  => "http://www.facebook.com/sharer.php?u=$url",
        'icon' => 'fab fa-facebook-f',
      ],
      'twitter'  => [
        'url'  => "https://twitter.com/intent/tweet?source=$url&text=$title:$url",
        'icon' => 'fab fa-twitter',
      ],
      'linkedin' => [
        'url'  => "http://www.linkedin.com/shareArticle?mini=true&url=$url&title=$title",
        'icon' => 'fab fa-linkedin-in',
      ],
      'pinterest'=> [
        'url'  => "http://pinterest.com/pin/create/button/?url=$url&description=$title",
        'icon' => 'fab fa-pinterest-p',
      ],
      'tumblr'   => [
        'url'  => "http://www.tumblr.com/share?v=3&u=$url &quote=$title",
        'icon' => 'fab fa-tumblr',
      ],
      'reddit'   => [
        'url'  => "http://www.reddit.com/submit?url=$url&title=$title",
        'icon' => 'fab fa-reddit',
      ],
    ];
    self::$defaults = $defaults;
  }

  public static function filter_defaults(){

    if ( RDTheme::$options['post_share_facebook'] == 0 ){
      unset(self::$defaults['facebook']);
    }
    if ( RDTheme::$options['post_share_twitter'] == 0 ){
      unset(self::$defaults['twitter']);
    }
    if ( RDTheme::$options['post_share_linkedin'] == 0 ){
      unset(self::$defaults['linkedin']);
    }
    if ( RDTheme::$options['post_share_pinterest'] == 0 ){
      unset(self::$defaults['pinterest']);
    }
    if ( RDTheme::$options['post_share_tumblr'] == 0 ){
      unset(self::$defaults['tumblr']);
    }
    if ( RDTheme::$options['post_share_reddit'] == 0 ){
      unset(self::$defaults['reddit']);
    }

    self::$sharers = apply_filters( 'rdtheme_social_sharing_icons', self::$defaults );
  }

  public static function render(){
    self::generate_defults();
    self::filter_defaults();
   ?> 
   <ul class="inline-list social">      
        <?php foreach ( self::$sharers as $key => $sharer ): ?>
            <li><a href="<?php echo esc_attr( $sharer['url'] ); ?>">
              <i class="<?php echo esc_attr( $sharer['icon'] );?>"></i>
            </a></li>
        <?php endforeach ?>
    </ul>
   <?php
  }
}




