<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;

class TGM_Config {
	
	public $woddingat = WODDINGAT_THEME_PREFIX;
	public $path   = WODDINGAT_THEME_PLUGINS_DIR;
	public function __construct() {
		add_action( 'tgmpa_register', array( $this, 'register_required_plugins' ) );
	}
	public function register_required_plugins(){
		$plugins = array(
			// Bundled
			array(
				'name'         => esc_html__( 'Woddingat Core', 'woddingat' ),
				'slug'         => 'woddingat-core',
				'source'       => 'woddingat-core.zip',
				'required'     =>  true,
				'version'      => '1.2'
			),
			array(
				'name'         => esc_html__( 'RT Framework', 'woddingat' ),
				'slug'         => 'rt-framework',
				'source'       => 'rt-framework.zip',
				'required'     =>  true,
				'version'      => '2.8'
			),
			array(
				'name'         => esc_html__( 'RT Demo Importer', 'woddingat' ),
				'slug'         => 'rt-demo-importer',
				'source'       => 'rt-demo-importer.zip',
				'required'     =>  false,
				'version'      => '5.0.0'
			),
			// Repository
			array(
				'name'     => esc_html__( 'Elementor Page Builder', 'woddingat' ),
				'slug'     => 'elementor',
				'required' => true,
			),
			array(
				'name'     => esc_html__('WP Fluent Forms', 'woddingat' ),
				'slug'     => 'fluentform',
				'required' => false,
			),
			array(
				'name'     => esc_html__('Instagram Feed', 'woddingat' ),
				'slug'     => 'instagram-feed',
				'required' => false,
			),	
		);
		$config = array(
			'id'           => $this->woddingat,            // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => $this->path,              // Default absolute path to bundled plugins.
			'menu'         => $this->woddingat . '-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                    // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
		);

		tgmpa( $plugins, $config );
	}
}
new TGM_Config;