<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

get_header();

$prefix = WODDINGAT_THEME_CPT_PREFIX;
$post_types = [ 'teams', 'service', 'portfolio' ];

foreach ($post_types as $post_type) {
  if ( is_post_type_archive( "{$prefix}_{$post_type}" ) || is_tax( "{$prefix}_{$post_type}_category" ) ) {
    	get_template_part( "template-parts/archive-{$post_type}/archive", $post_type );
    return;
  }
}

$blog_style = RDTheme::$options['blog_style'];

?>

<!--=====================================-->
<!--=              Blog Start    	    =-->
<!--=====================================-->
<section class="blog-wrap-layout2">
    <div class="container">
    	<div class="row sticky-coloum-wrap">

	    		<?php if ( have_posts() ) : ?>
				<?php
					if ( ( is_home() || is_archive() ) ) {
						if ( $blog_style == 1 ) { ?>
							<div class="<?php Helper::the_layout_class(); ?>">
								<div class="row">
							<?php while ( have_posts() ) : the_post(); ?>
									<div class="col-12">
										<?php get_template_part( 'template-parts/archive-blog/content',  $blog_style ); ?>
									</div>
								
							<?php endwhile; ?>
								</div>
								<?php Helper::pagination(); ?>
							</div>
						<?php } else { 
								while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'template-parts/archive-blog/content',  $blog_style ); ?>
							<?php endwhile; ?>
							<div class="col-12">
								<?php Helper::pagination(); ?>
							</div>
						<?php } 
					}else {
						while ( have_posts() ) : the_post();
							get_template_part( 'template-parts/content' );
						endwhile;
					}
				?>

				<?php else: ?>
					<?php get_template_part( 'template-parts/content', 'none' ); ?>
				<?php endif; ?>
				<?php wp_reset_postdata(); ?>

	        <?php 
	        	if( $blog_style == 1 ) {
	        		Helper::woddingat_sidebar();
	    		}
	    	?>
    	</div>
    </div>
</section>
<?php get_footer(); ?>
