<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

$post_meta_date     = ( RDTheme::$options['blog_date'] ) ? true : false;
$post_meta_cat      = ( RDTheme::$options['blog_cats'] ) ? true : false;
$post_meta_comments = ( RDTheme::$options['blog_meta_comments'] ) ? true : false;
$blog_excerpt       = ( RDTheme::$options['blog_excerpt'] ) ? RDTheme::$options['blog_excerpt'] : '';
$excerpt_length     = isset( RDTheme::$options['excerpt_length'] ) ? RDTheme::$options['excerpt_length'] : '';
$blog_readmore      = ( RDTheme::$options['blog_readmore'] ) ? RDTheme::$options['blog_readmore'] : '';

$comments_number = number_format_i18n( get_comments_number() );
$comments_html   = $comments_number <= 1 ? esc_html__( 'Comment' , 'woddingat' ) : esc_html__( 'Comments' , 'woddingat' );
$comments_html   = $comments_number .' '. $comments_html;

?>

<?php 
if ( get_post_format() == 'quote' && RDTheme::$options['blog_quote_post'] ) { ?>

<div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box blog-list blockquote' ); ?>>
    <blockquote>
        <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <?php if( empty( RDTheme::$options['blog_quote_authname'] ) ) : ?>
            <span><?php echo ucwords( get_the_author() ); ?></span>
        <?php else: ?>
            <span><?php echo esc_html( RDTheme::$options['blog_quote_authname'] ); ?></span>
        <?php endif; if( empty( RDTheme::$options['blog_quote_authdesi'] ) ) : ?>
            <cite><?php esc_html_e( 'Blogger', 'woddingat' );?></cite>
        <?php else: ?>
            <cite><?php echo esc_html( RDTheme::$options['blog_quote_authdesi'] ); ?></cite>
        <?php endif; ?>
    </blockquote>
</div>                                
<?php }else{ ?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box blog-list' ); ?>>
    <?php if ( has_post_thumbnail() ): ?>
    <div class="item-img">
        <figure>
            <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail( 'woddingat-thumb-size-2' ); ?>
            </a>
        </figure>
    </div>
    <?php endif; ?>

    <div class="content-box">
        <ul class="entry-meta">
            <?php if ( $post_meta_date == 1 ) : ?>
            <li class="entry-date"><i class="far fa-calendar-alt"></i><?php the_time( get_option( 'date_format' ) );?></li>
            <?php endif; if ( $post_meta_cat == 1 ) : ?>
            <li class="entry-cat">
                <i class="far fa-folder-open"></i><span><?php echo esc_html_e( 'In', 'woddingat' ); ?></span>
                <?php the_category( ', ' );?>
            </li>
            <?php endif; if ( $post_meta_comments == 1 ) : ?>
             <li class="entry-comment"><i class="far fa-comments"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses($comments_html, 'alltext_allow'); ?></a></li>
            <?php endif; ?> 
        </ul>
        <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <?php if( $blog_excerpt == 1 ) : ?>
        <p class="description"><?php echo Helper::woddingat_excerpt( $excerpt_length ); ?></p>
        <?php endif; if( $blog_readmore == 1 ) : ?>
        <a href="<?php the_permalink(); ?>" class="btn-text style-3"><?php echo esc_html_e( 'READ MORE', 'woddingat' ); ?></a>
        <?php endif; ?>
    </div>
    <?php if ( is_sticky() ) {
        echo '<sup class="meta-featured-post"> <i class="fas fa-thumbtack"></i> ' . esc_html__( 'Sticky', 'woddingat' ) . ' </sup>';
    } ?>
</div>
<?php } ?>

