<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;
$prefix = WODDINGAT_CORE_THEME_PREFIX;

$cols     = ( RDTheme::$options['portfolio_grid_cols'] ) ? RDTheme::$options['portfolio_grid_cols'] : '';
$posts_no = ( RDTheme::$options['portfolio_archive_number'] ) ? RDTheme::$options['portfolio_archive_number'] : '';

$args = array(
  'post_type'      => 'woddingat_portfolio',
  'post_status'    => 'publish',
  'posts_per_page' => $posts_no,
);

$port_query = new \WP_Query( $args );

?>

<section class="portfolio-wrap-layout6">
	<div class="container">
		<?php if ( $port_query->have_posts() ) { ?>
		<div class="row">
			<?php 
		        while ( $port_query->have_posts() ) : $port_query->the_post(); 
		      ?>
			<div class="col-lg-<?php echo esc_attr( $cols ); ?> col-md-6 col-12">
				<div class="portfolio-box portfolio-layout1 style-1">
					<div class="item-figure">
						<?php the_post_thumbnail( 'woddingat-thumb-size-2' ); ?>
					</div>
					<div class="item-content">
						<?php if( RDTheme::$options['portfolio_category'] == 1 ) { ?>
						<div class="sub-title"><?php Helper::rt_get_portfolio_cat( get_the_ID() ); ?></div>
						<?php } ?>
						<h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
					</div>
				</div>
			</div>
			<?php endwhile; ?>
		</div>
		<?php }else{ 
	      get_template_part( 'template-parts/content', 'none' );
	    } ?>
	</div>
</section>