<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;
$prefix = WODDINGAT_CORE_THEME_PREFIX;

$excerpt = RDTheme::$options['service_archive_excerpt_length'];
$icon    = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
?>


<div class="service-box-layout2 light-layout">
    <?php if ( has_post_thumbnail() ){ 
        $featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full'); 
    ?>
    <figure data-bg-image="<?php echo esc_attr( $featured_img_url ); ?>"></figure>
    <?php } ?>
    <div class="content-box">
        <?php if (!empty($icon)) { ?>
        <div class="icon-box">
            <i class="<?php echo esc_attr( $icon ); ?>"></i>
        </div>
        <?php } ?>
        <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <p class="description"><?php echo helper::woddingat_excerpt( $excerpt ); ?></p>
        <a href="<?php the_permalink(); ?>" class="item-btn btn-ghost style-4">Read More<i class="flaticon-right-arrow"></i></a>
    </div>
</div>


