<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;


$woddingat = WODDINGAT_THEME_PREFIX_VAR;
if ( is_404() ) {
	$rdtheme_title = esc_html__( '404 Error Page ', 'woddingat' ) . get_search_query();
}
elseif ( is_search() ) {
	$rdtheme_title = esc_html__( 'Search Results for : ', 'woddingat' ) . get_search_query();
}
elseif ( is_home() ) {
	if ( get_option( 'page_for_posts' ) ) {
		$rdtheme_title = get_the_title( get_option( 'page_for_posts' ) );
	}
	else {
		$rdtheme_title = apply_filters( "{$woddingat}_blog_title", esc_html__( 'All Posts', 'woddingat' ) );
	}
}
elseif ( is_archive() ) {
	$cpt = WODDINGAT_THEME_CPT_PREFIX;
	if ( is_post_type_archive( "{$cpt}_teams" ) ) {
		$rdtheme_title = esc_html__( 'Our Team', 'woddingat' );
	}
	elseif ( is_post_type_archive( "{$cpt}_portfolio" ) ) {
		$rdtheme_title = esc_html__( 'All Portfolios', 'woddingat' );
	}elseif ( is_post_type_archive( "{$cpt}_service" ) ) {
		$rdtheme_title = esc_html__( 'All Services', 'woddingat' );
	}
	else {
		$rdtheme_title = get_the_archive_title();
	}
} elseif (is_single()) {
	$rdtheme_title  = get_the_title();

} else {
	$id                        = $post->ID;
	$fitness_custom_page_title = get_post_meta( $id, 'woddingat_custom_page_title', true );
	if (!empty($fitness_custom_page_title)) {
		$rdtheme_title = get_post_meta( $id, 'woddingat_custom_page_title', true );
	 } else { 
		$rdtheme_title = get_the_title();	                   
 	}
}

if ( RDTheme::$bgtype == 'bgimg' && RDTheme::$bgimg !='' ) { ?>
	<?php if ( RDTheme::$has_banner == '1' || RDTheme::$has_banner != "off" ): ?>
		<section class="inner-page-banner" data-bg-image="<?php echo esc_attr( RDTheme::$bgimg ); ?>">
		    <div class="container">
		        <div class="entry-banner-content">
		        	<h1 class="entry-title"><?php echo wp_kses( $rdtheme_title, 'alltext_allow' );?></h1>
	                <div class="breadcrumb-area">
	                	<div class="entry-breadcrumb">
		                    <?php if ( RDTheme::$has_breadcrumb == '1' || RDTheme::$has_breadcrumb  != "off" ): ?>
								<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
							<?php endif; ?>
						</div>
	                </div>
		        </div>
		    </div>
		</section>
	<?php endif; 
	
	} else { ?>
		<?php if ( RDTheme::$has_banner == '1' || RDTheme::$has_banner != "off" ): ?>
		<section class="inner-page-banner bg-color">
		    <div class="container">
		        <div class="entry-banner-content">
		        	<h1 class="entry-title"><?php echo wp_kses( $rdtheme_title, 'alltext_allow' );?></h1>
	                <div class="breadcrumb-area">
	                	<div class="entry-breadcrumb">
		                    <?php if ( RDTheme::$has_breadcrumb == '1' || RDTheme::$has_breadcrumb  != "off" ): ?>
								<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
							<?php endif; ?>
						</div>
	                </div>
		        </div>
		    </div>
		</section>
		<?php endif; 
	}
?>

