<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\Socials;

$comments_number = number_format_i18n( get_comments_number() );
$comments_html = $comments_number <= 1 ? esc_html__( 'Comment' , 'woddingat' ) : esc_html__( 'Comments' , 'woddingat' );
$comments_html = '<span class="comment-number">'. $comments_number .'</span> '. $comments_html;

$p_fb   = ( RDTheme::$options['post_share_facebook'] ) ? RDTheme::$options['post_share_facebook'] : '';
$p_tw   = ( RDTheme::$options['post_share_twitter'] ) ? RDTheme::$options['post_share_twitter'] : '';
$p_lnk  = ( RDTheme::$options['post_share_linkedin'] ) ? RDTheme::$options['post_share_linkedin'] : '';
$p_pnt  = ( RDTheme::$options['post_share_pinterest'] ) ? RDTheme::$options['post_share_pinterest'] : '';
$p_tmbl = ( RDTheme::$options['post_share_tumblr'] ) ? RDTheme::$options['post_share_tumblr'] : '';
$p_redt = ( RDTheme::$options['post_share_reddit'] ) ? RDTheme::$options['post_share_reddit'] : '';

?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'single-blog-box-layout1' ); ?>>
    <div class="entry-content">
        <ul class="entry-meta">
            <?php if( RDTheme::$options['post_date'] ) : ?>
            <li><i class="far fa-calendar-alt"></i><?php the_time( get_option( 'date_format' ) );?></li>
            <?php endif; if( RDTheme::$options['post_cats'] ) : ?>
            <li>
                <i class="far fa-folder-open"></i><span>In</span><?php the_category( ', ' ); ?>
            </li>
            <?php endif; if( RDTheme::$options['post_cats'] ) : ?>
            <li>
                <i class="far fa-comments"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses($comments_html, 'alltext_allow'); ?></a>
            </li>
            <?php endif; ?>
        </ul>

        <?php if ( has_post_thumbnail() ) : ?>
        <figure class="main-figure">
            <?php the_post_thumbnail(); ?>
        </figure>
        <?php endif; ?>
        <?php the_content(); ?>
        <?php wp_link_pages( array( 'before' => '<div class="posts-pagi">', 'after'  => '</div>' ) ); ?>
    </div>
    <?php if( RDTheme::$options['post_tags'] && has_tag() || RDTheme::$options['post_share'] ) : ?>
    <div class="post-tag-share">
        <div class="row">
            <?php 
                $col = '';
                if( RDTheme::$options['post_share'] == 1 ){
                    $col = '6';
                }else{
                   $col = '12'; 
                }
            ?>
            <?php if ( RDTheme::$options['post_tags'] && has_tag() ): ?>
            <div class="col-md-<?php echo esc_attr( $col ); ?> col-12">
                <div class="tag-wrap">
                    <div class="tag-title"><?php esc_attr_e( 'Tags:', 'woddingat' ); ?></div>
                     <div class="post-tag">
                        <?php echo get_the_term_list( $post->ID, 'post_tag','','' ); ?>
                    </div>
                </div>
            </div>
            <?php endif; if( RDTheme::$options['post_share'] && !empty( $p_fb || $p_tw ||  $p_lnk || $p_pnt || $p_tmbl || $p_redt ) ) : ?>
            <div class="col-md-6 col-12">
                <div class="post-share">
                    <?php 
                        $has_social = class_exists( Socials::class );
                        if ($has_social):
                            Socials::render();
                        endif;
                    ?>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
    <?php endif; 

        $about_author = get_the_author_meta( 'description' );
        $has_author_info = RDTheme::$options['show_sin_author_bio'] && $about_author ; 
        if ($has_author_info): 
        $author_id = get_post_field( 'post_author', get_the_ID() );
        $author_id = get_the_author_meta( 'ID' );
    ?>
    <div class="post-author-wrap">
        <div class="post-author">
            <figure>
                <?php echo get_avatar( $author_id, 130, null, 'blog author', ['class' => 'media-img-auto'] ) ?>
            </figure>
            <div class="content-box">
                <h3 class="title"><?php echo ucwords( get_the_author() ); ?></h3>
                <?php if( !empty( RDTheme::$options['sin_author_sub_title'] ) ) : ?>
                <cite><?php echo esc_html( RDTheme::$options['sin_author_sub_title'] ); ?></cite>
                <?php endif; ?>
                <p class="description"><?php echo esc_html( $about_author ); ?></p>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <?php if( RDTheme::$options['post_navigation'] == 1 ) : ?>
    <div class="content-single-pagi">
        <?php get_template_part( 'template-parts/content-single-pagination' ); ?>
    </div>
    <?php endif; ?>
    <?php if ( comments_open() || get_comments_number() ){ ?>
        <div class="blog-comment-form comment-form">
            <?php comments_template(); ?>
        </div> 
    <?php } ?>
</div>
