<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

if( !empty( RDTheme::$options['footer_logo'] ) ){
    $footerLogo = wp_get_attachment_image( RDTheme::$options['footer_logo'], 'full');
}else{
    $footerLogo = Helper::get_img( 'logo-dark.png' );
    $footerLogo = "<img width='400' height='242' src='". esc_url( $footerLogo ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

$display_footertop = ( RDTheme::$options['display_footertop_area'] ) ? true : false;
$footer_address    = ( RDTheme::$options['footer_address'] ) ? RDTheme::$options['footer_address'] : '';
$footer_email      = ( RDTheme::$options['footer_email'] ) ? RDTheme::$options['footer_email'] : '';
$footer_phone      = ( RDTheme::$options['footer_phone'] ) ? RDTheme::$options['footer_phone'] : '';

$footer_socials    = ( RDTheme::$options['footer_socials'] ) ? true : false;
$display_copyright = ( RDTheme::$options['display_copyright_area'] ) ? true : false;
$footer1_bg_img2   = ( RDTheme::$options['footer1_bg_img2'] ) ? RDTheme::$options['footer1_bg_img2'] : false;

if( !empty( $footer1_bg_img2 ) && RDTheme::$options['display_footer1_bg_image'] === 1 ){
    $footer_pb = 'fpb-500';
}else{
    $footer_pb = 'fpb-none';
}

?>
<footer class="footer-layout1 <?php echo esc_attr( $footer_pb ); ?> has-animation">
    <div class="container">
        <?php if( $display_footertop == 1 ) : if(!empty( $footerLogo ) && RDTheme::$options['display_footer_logo'] === 1 ) : ?>
        <div class="footer-logo">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                <?php echo wp_kses( $footerLogo, 'alltext_allow' ); ?>
            </a>
        </div>
        <?php endif; ?>
        <div class="footer-info">
            <ul>
                <?php if( !empty( $footer_address ) ) : ?>
                <li><?php echo esc_html( $footer_address ); ?></li>
                <?php endif; if( !empty( $footer_phone ) ) : ?>
                <li><a href="tel:<?php echo esc_attr( str_replace(' ', '', $footer_phone ) ); ?>"><?php echo esc_html( $footer_phone ); ?></a></li>
                <?php endif; if( !empty( $footer_email ) ) : ?>
                <li class="email"><a href="mailto:<?php echo esc_attr( $footer_email ); ?>"><?php echo esc_html( $footer_email ); ?></a></li>
                <?php endif; if( $footer_socials == 1 ) : ?>
                <li>
                    <?php if ( $rdtheme_socials = Helper::socials() ) : ?>
                    <ul class="inline-list social">
                        <?php foreach ( $rdtheme_socials as $social ) : ?>
                        <li>
                            <a href="<?php echo esc_url($social['url']) ?>" target="_blank">
                                <i class="<?php echo esc_attr($social['icon']) ?>"></i>
                            </a>
                        </li>
                        <?php endforeach ?>
                    </ul>
                    <?php endif; ?>
                </li>
                <?php endif; ?>
            </ul>
        </div>
        <?php endif; if( $display_copyright == 1 ) : ?>
        <div class="footer-copyright">
            <p><?php echo wp_kses( RDTheme::$options['copyright_text'] , 'allow_link' ); ?></p>
        </div>
        <?php endif; ?>          
    </div>          
</footer>
