<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

if( !empty( RDTheme::$options['footer_logo'] ) ){
    $footerLogo = wp_get_attachment_image( RDTheme::$options['footer_logo'], 'full');
}else{
    $footerLogo = Helper::get_img( 'logo-dark.png' );
    $footerLogo = "<img width='400' height='242' src='". esc_url( $footerLogo ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

if( !empty( RDTheme::$options['footer2_bg_img'] ) ){
    $footer2_bg_img1   = wp_get_attachment_image( RDTheme::$options['footer2_bg_img'], 'full');
}else{
    $footer2_bg_img1 = Helper::get_img( 'element21.png' );
    $footer2_bg_img1 = "<img width='1519' height='534' src='". esc_url( $footer2_bg_img1 ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

if( !empty( RDTheme::$options['footer2_bg_img2'] ) ){
    $footer2_bg_img2   = wp_get_attachment_image( RDTheme::$options['footer2_bg_img2'], 'full');
}else{
    $footer2_bg_img2 = Helper::get_img( 'element20.png' );
    $footer2_bg_img2 = "<img width='1920' height='702' src='". esc_url( $footer2_bg_img2 ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

$display_footertop = ( RDTheme::$options['display_footertop_area'] ) ? true : false;
$display_copyright = ( RDTheme::$options['display_copyright_area'] ) ? true : false;

if( ( !empty( $footer2_bg_img1 ) || !empty( $footer2_bg_img2 ) ) && RDTheme::$options['display_footer2_bg_image'] === 1 ){
    $footer_pb = 'fpb-300';
}else{
    $footer_pb = 'fpb-none';
}

?>

<footer class="footer-layout2 <?php echo esc_attr( $footer_pb ); ?> footer-padding-1 has-animation">
    <?php if( RDTheme::$options['display_footer2_bg_image'] === 1 ) : ?>
    <?php if( !empty( $footer2_bg_img1 ) ) : ?>
    <figure class="element-figure1">
        <?php echo wp_kses( $footer2_bg_img1, 'alltext_allow' ); ?>
    </figure>
    <?php endif; if( !empty( $footer2_bg_img2 ) ) : ?>
    <figure class="element-figure2">
        <?php echo wp_kses( $footer2_bg_img2, 'alltext_allow' ); ?>
    </figure> 
    <?php endif; ?>
    <?php endif; ?>        
    <div class="container">
        <?php if(!empty( $footerLogo ) && RDTheme::$options['display_footer_logo'] === 1 ) : ?>
        <div class="footer-logo">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                <?php echo wp_kses( $footerLogo, 'alltext_allow' ); ?>
            </a>
        </div>
        <?php endif; ?>
        <?php if ( $display_footertop == 1 || is_active_sidebar( 'footer-widgets-1' ) ||  is_active_sidebar( 'footer-widgets-2' ) ||  is_active_sidebar( 'footer-widgets-3' ) ) { ?>
        <div class="footer-info"> 
            <div class="row">
                <?php if( is_active_sidebar( 'footer-widgets-1' ) ) { ?>
                <div class="col-lg-4">
                    <?php dynamic_sidebar( 'footer-widgets-1' ); ?>
                </div>
                <?php } ?>
                <?php if( is_active_sidebar( 'footer-widgets-2' ) ) { ?>
                <div class="col-lg-4">
                    <?php dynamic_sidebar( 'footer-widgets-2' ); ?>
                </div>
                <?php } ?>
                <?php if( is_active_sidebar( 'footer-widgets-3' ) ) { ?>
                <div class="col-lg-4">
                    <?php dynamic_sidebar( 'footer-widgets-3' ); ?>
                </div>
                <?php } ?>
            </div>
        </div>
        <?php } ?>
         <?php if( $display_copyright == 1 ) : ?>
        <div class="footer-copyright">
            <p><?php echo wp_kses( RDTheme::$options['copyright_text'] , 'allow_link' ); ?></p>
        </div>
        <?php endif; ?> 
    </div>
</footer>

