<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();

$sticky_h = RDTheme::$options['sticky_header'];
if (!empty($sticky_h)) {
    $s_header = 'sticky-on';
} else {
    $s_header = 'sticky-none';
}

$page_banner = RDTheme::$options['page_banner'];
if ( RDTheme::$tr_header == '1' || RDTheme::$tr_header != "off" || RDTheme::$has_banner == 1  || RDTheme::$has_banner != "off" ) {
    $tr_header_class = 'trheader';
} else {
    $tr_header_class = 'trheader-none';
}

$header_address     = RDTheme::$options['header_address'];
$header_phone_title = RDTheme::$options['header_phone_title'];
$header_phone       = RDTheme::$options['header_phone'];
$header_hours_title = RDTheme::$options['header_hours_title'];
$header_hours       = RDTheme::$options['header_hours'];
$menu_right         = RDTheme::$options['menu_right_part'] ? true : false;

?>
<header class="header header1 <?php echo esc_attr( $s_header ); ?>">
    <div id="sticky-placeholder"></div>
    <div id="topbar-wrap">
        <?php if( RDTheme::$options['top_bar'] ) : ?>
        <div class="topbar-layout1">
            <div class="container">
                <div class="row no-gutters d-flex align-items-center">
                    <div class="col-lg-8 d-flex justify-content-start">
                        <?php if( !empty( $header_address ) ) : ?>
                        <ul class="header-schedule-info">
                            <li class="single-item"><?php echo esc_html( $header_address ); ?></li>
                        </ul>
                        <?php endif; ?>
                    </div>
                    <?php if( RDTheme::$options['header_social'] === 1 ) : ?>
                    <div class="col-lg-4 d-flex justify-content-end">
                        <?php get_template_part( 'template-parts/header/social', 'info' ); ?>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php endif; ?>  
        <div class="midlebar-layout1">  
            <div class="container">
                <div class="row">
                    <div class="col-lg-4 d-flex align-items-center">
                        <?php if( !empty( $header_phone_title ) || !empty( $header_phone ) ) : ?>
                        <div class="contact-info">
                            <div class="icon-box">
                                <i class="flaticon-phone-call"></i>
                            </div>
                            <div class="content-box">
                                <div class="item-title"><?php echo esc_html( $header_phone_title ); ?></div>
                                <div class="item-info">
                                    <a href="tel:<?php echo esc_attr( $header_phone ); ?>">
                                       <?php echo esc_html( $header_phone ); ?> 
                                    </a>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>
                    <div class="col-lg-4 text-center">
                        <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>
                    </div>
                    <div class="col-lg-4 d-flex align-items-center justify-content-end">
                        <?php if( !empty( $header_hours_title ) || !empty( $header_hours ) ) : ?>
                        <div class="contact-info">
                            <div class="icon-box">
                                <i class="flaticon-clock"></i>
                            </div>
                            <div class="content-box">
                                <div class="item-title"><?php echo esc_html( $header_hours_title ); ?></div>
                                <div class="item-info"><?php echo esc_html( $header_hours ); ?></div>
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>              
    <div id="navbar-wrap" class="navbar-wrap">
        <div class="header-menu">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between">
                    <nav id="dropdown" class="template-main-menu">
                        <?php wp_nav_menu( $nav_menu_args ); ?>
                    </nav>
                    <?php if( $menu_right ) : ?>
                    <ul class="header-action-items">
                        <?php if ( RDTheme::$options['search_icon'] === 1 ) : ?>
                        <li class="search-wrap">
                            <a href="#template-search" title="<?php esc_attr_e( 'Search', 'woddingat' ); ?>">
                                <i class="flaticon-search"></i>
                            </a>
                        </li>
                        <?php endif; ?>                                           
                        <?php if ( RDTheme::$options['offcanvas_menu'] === 1 ){ ?>
                        <li class="header-action-item">
                            <button type="button" class="offcanvas-menu-btn menu-status-open">
                                <span class="menu-btn-icon">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </span>
                            </button>
                        </li>
                        <?php } ?>
                    </ul>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php if ( RDTheme::$options['search_icon'] === 1 ){ 
            get_template_part( 'template-parts/header/icon-search', 'popup' );
        } ?>                 
    </div>
</header>




