<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();

$sticky_h = RDTheme::$options['sticky_header'];
if (!empty($sticky_h)) {
    $s_header = 'sticky-on';
} else {
    $s_header = 'sticky-none';
}

$page_banner = RDTheme::$options['page_banner'];
if ( RDTheme::$tr_header == '1' || RDTheme::$tr_header != "off" || RDTheme::$has_banner == 1  || RDTheme::$has_banner != "off" ) {
    $tr_header_class = 'trheader';
} else {
    $tr_header_class = 'trheader-none';
}

$menu_right     = RDTheme::$options['menu_right_part'] ? true : false;

?>

<header class="header header4 <?php echo esc_attr( $s_header ); ?> <?php echo esc_attr( $tr_header_class ); ?>">
  <div id="sticky-placeholder"></div>
  <div id="topbar-wrap" class="topbar-wrap">
    <div class="container">
      <div class="site-branding">
        <?php get_template_part( 'template-parts/header/logo', 'light' ); ?>
        <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>
      </div>
    </div>
  </div>
  <div id="navbar-wrap" class="navbar-wrap">
    <div class="header-menu">
      <div class="container">
        <div class="d-flex align-items-center justify-content-between">
          <nav id="dropdown" class="template-main-menu">
            <?php wp_nav_menu( $nav_menu_args ); ?>
          </nav>
          <?php if( $menu_right ) : ?>          
          <ul class="header-action-items">
            <?php if ( RDTheme::$options['search_icon'] === 1 ) : ?>
            <li class="search-wrap">
              <a href="#template-search" title="<?php esc_attr_e( 'Search', 'woddingat' ); ?>">
                <i class="flaticon-search"></i>
              </a>
            </li>
            <?php endif; ?>                     
            <?php if ( RDTheme::$options['offcanvas_menu'] === 1 ){ ?> 
            <li class="header-action-item">
              <button type="button" class="offcanvas-menu-btn menu-status-open">
                <span class="menu-btn-icon">
                  <span></span>
                  <span></span>
                  <span></span>
                </span>
              </button>
            </li>  
            <?php } ?>               
          </ul>
          <?php endif; ?>
        </div>
      </div>
    </div>
    <?php if ( RDTheme::$options['search_icon'] === 1 ){ 
        get_template_part( 'template-parts/header/icon-search', 'popup' );
    } ?>          
  </div>
</header>

