<?php 

namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;
// Logo
$rt_offcanvm_logo = empty( Helper::rt_offcanvm_logo() ) ? get_bloginfo( 'name' ) : Helper::rt_offcanvm_logo();

$offcanvm_desc      = ( RDTheme::$options['offcanvm_desc'] ) ? RDTheme::$options['offcanvm_desc'] : '';
$offcanvm_title     = ( RDTheme::$options['offcanvm_title'] ) ? RDTheme::$options['offcanvm_title'] : '';
$offcanvm_sub_title = ( RDTheme::$options['offcanvm_sub_title'] ) ? RDTheme::$options['offcanvm_sub_title'] : '';
$offcanvm_date      = ( RDTheme::$options['offcanvm_date'] ) ? RDTheme::$options['offcanvm_date'] : '';
$offcanvm_time      = ( RDTheme::$options['offcanvm_date'] ) ? RDTheme::$options['offcanvm_time'] : '';
$offcanvm_address1  = ( RDTheme::$options['offcanvm_address1'] ) ? RDTheme::$options['offcanvm_address1'] : '';
$offcanvm_address2  = ( RDTheme::$options['offcanvm_address2'] ) ? RDTheme::$options['offcanvm_address2'] : '';
$offcanvm_phone     = ( RDTheme::$options['offcanvm_phone'] ) ? RDTheme::$options['offcanvm_phone'] : '';
$offcanvm_map_text  = ( RDTheme::$options['offcanvm_map_text'] ) ? RDTheme::$options['offcanvm_map_text'] : '';
$offcanvm_map_link  = ( RDTheme::$options['offcanvm_map_link'] ) ? RDTheme::$options['offcanvm_map_link'] : '';
$offcanvm_socials   = ( RDTheme::$options['offcanvm_socials'] ) ? true : false;

?>
<div class="offcanvas-menu-wrap" id="offcanvas-wrap" data-position="right">
    <div class="offcanvas-header">
        <span class="header-text"><?php esc_attr_e( 'Close', 'woddingat' ); ?></span>
        <button type="button" class="offcanvas-menu-btn menu-status-close offcanvas-close">
            <span class="menu-btn-icon">
                <span></span>
                <span></span>
                <span></span>
            </span>
        </button>
    </div>
    <div class="offcanvas-content">
        <div class="top-content">
            <div class="offcanvas-logo">
                <a href="<?php echo esc_url( home_url( '/' ) );?>" class="default-logo" id="temp-logo">
                    <?php if ( !empty( Helper::rt_offcanvm_logo() ) ){ ?>
                    <?php echo wp_kses( $rt_offcanvm_logo, 'alltext_allow' ); ?>
                    <?php } else { ?>
                        <?php echo esc_html( $rt_offcanvm_logo ) ; ?>
                    <?php } ?>
                </a>
            </div>
            <?php if( !empty( $offcanvm_desc ) ) : ?>
            <p><?php echo esc_html( $offcanvm_desc ); ?></p>
            <?php endif; ?>
        </div>
        <?php if( !empty( $offcanvm_title ) ) : ?>
        <h2><?php echo esc_html( $offcanvm_title ); ?></h2>
        <?php endif; if( !empty( $offcanvm_sub_title ) ) : ?>
        <div class="sub-title"><?php echo esc_html( $offcanvm_sub_title ); ?></div>
        <?php endif; if( !empty( $offcanvm_date ) || !empty( $offcanvm_time ) || !empty( $offcanvm_address1 ) || !empty( $offcanvm_address2 ) || !empty( $offcanvm_phone ) ) : ?>
        <ul class="info">
            <?php if( !empty( $offcanvm_date ) ) : ?>
            <li><?php echo esc_html( $offcanvm_date ); ?></li>
            <?php endif; if( !empty( $offcanvm_time ) ) : ?>
            <li><?php echo esc_html( $offcanvm_time ); ?></li>
            <?php endif; if( !empty( $offcanvm_address1 ) ) : ?>
            <li><?php echo esc_html( $offcanvm_address1 ); ?></li>
            <?php endif; if( !empty( $offcanvm_address2 ) ) : ?>
            <li><?php echo esc_html( $offcanvm_address2 ); ?></li>
            <?php endif; if( !empty( $offcanvm_phone ) ) : ?>
            <li><a href="tel:<?php echo esc_attr( str_replace(' ', '', $offcanvm_phone ) ); ?>"><?php echo esc_html( $offcanvm_phone ); ?></a></li>
            <?php endif; ?>
        </ul>
        <?php endif; if( !empty( $offcanvm_map_text ) || !empty( $offcanvm_map_link ) ) : ?>
        <a href="<?php echo esc_url( $offcanvm_map_link ); ?>" class="text-btn"><?php echo esc_html( $offcanvm_map_text ); ?></a>
        <?php endif; ?>
    </div>
    <?php if( $offcanvm_socials ) : ?>
    <div class="offcanvas-footer">
        <ul>
            <?php if( !empty( RDTheme::$options['offcanvm_facebook_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_facebook_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_facebook_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_twitter_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_twitter_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_twitter_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_behance_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_twitter_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_behance_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_pinterest_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_pinterest_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_pinterest_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_gplus_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_gplus_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_gplus_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_linkedin_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_linkedin_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_linkedin_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_dribbble_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_dribbble_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_dribbble_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_youtube_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_youtube_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_youtube_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_instagram_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_instagram_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_instagram_text'] ); ?></a>
            </li>
            <?php endif; if( !empty( RDTheme::$options['offcanvm_skype_link'] ) ) : ?>
            <li>
                <a href="<?php echo esc_attr( RDTheme::$options['offcanvm_skype_link'] ); ?>"><?php echo esc_html( RDTheme::$options['offcanvm_skype_text'] ); ?></a>
            </li>
        <?php endif; ?>
        </ul>
    </div> 
    <?php endif; ?>         
</div>