<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

?>
<?php get_header(); ?>

<section class="single-portfolio-wrap-layout1">
	<div class="single-portfolio-box-layout4 portfolio-info-box">
		<div class="figure-box">
			<?php the_content(); ?>						
		</div>
	</div>
	<div class="container">
		<?php 
			while ( have_posts() ) : the_post();
			$subtitle       = get_post_meta( get_the_ID(), "woddingat_portfolio_subtitle", true );
			$client         = get_post_meta( get_the_ID(), "woddingat_portfolio_client", true );
			$social_icons   = get_post_meta( get_the_ID(), "woddingat_port_icons", true );
			$socials_fields = Helper::team_socials();
		?>
		<div class="row sticky-coloum-wrap">
			<div class="col-lg-12 col-12 sticky-coloum-item">
				<div class="single-portfolio-box-layout4 portfolio-info-box">								
					<div class="content-box">
						<div class="content1">
							<?php if ( !empty( $subtitle ) ) : ?>
							<div class="sub-title"><?php echo esc_html( $subtitle ); ?></div>
							<?php endif; ?>		
							<h2 class="title"><?php the_title(); ?></h2>	
							<?php the_excerpt(); ?>
						</div>
						<div class="content2">
							<ul class="block-list details-box">
								<?php if( RDTheme::$options['portfolio_showclient'] == 1  && !empty( $client ) ) : ?>
								<li><?php esc_html_e( 'Client', 'woddingat' ); ?>:<span><?php echo esc_html( $client ); ?></span></li>
								<?php endif; if ( RDTheme::$options['portfolio_showcat'] == 1 ): ?>
								<li><?php esc_html_e( 'Category', 'woddingat' ); ?>:<span><?php Helper::rt_get_portfolio_cat( get_the_ID() ); ?></span></li>
								<?php endif; if( RDTheme::$options['portfolio_showdate'] == 1 ) : ?>
								<li><?php esc_html_e( 'Date', 'woddingat' ); ?>:<span><?php the_time( get_option( 'date_format' ) );?></span></li>
								<?php endif; ?>
							</ul>
						</div>	
					</div>					
				</div>
			</div>
		</div>
		<?php endwhile; ?>
		<?php if( RDTheme::$options['portfolio_prevnext'] == 1 ) : ?>
		<div class="pagination-box style-2">
			<div class="row">
				<?php get_template_part( 'template-parts/single-portfolio/portfolio-single-pagination' ); ?>
			</div>
		</div>
		<?php endif; ?>				
	</div>
</section>
<?php get_footer(); ?>