<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

?>
<?php get_header(); ?>

<section class="single-portfolio-wrap-layout1">
	<div class="container">
		<?php 
			while ( have_posts() ) : the_post();
			$subtitle          = get_post_meta( get_the_ID(), "woddingat_portfolio_subtitle", true );
			$client            = get_post_meta( get_the_ID(), "woddingat_portfolio_client", true );
			$port_gallerys_raw = get_post_meta( get_the_ID(), "pfolio_singlep_gallery", true );
			$port_gallerys     = explode( "," , $port_gallerys_raw );
			$social_icons      = get_post_meta( get_the_ID(), "woddingat_port_icons", true );
			$socials_fields    = Helper::team_socials();
		?>
		<div class="row sticky-coloum-wrap">
			<div class="col-lg-6 col-12 sticky-coloum-item">
				<div class="single-portfolio-box-layout1">
					<div class="figure-box">
						<ul class="block-list">
							<?php
								foreach ($port_gallerys as $gallery_img ) {
									if( !empty( $gallery_img ) ) {
							?>
							<li><?php echo wp_get_attachment_image( $gallery_img, 'full' ); ?></li>
							<?php }  } ?>
						</ul>					
					</div>				
				</div>
			</div>
			<div class="col-lg-6 col-12 sticky-coloum-item">
				<div class="single-portfolio-box-layout1 portfolio-info-box">	
					<div class="content-box">
						<div class="content1">
							<?php if ( !empty( $subtitle ) ) : ?>
							<div class="sub-title"><?php echo esc_html( $subtitle ); ?></div>
							<?php endif; ?>		
							<h2 class="title"><?php the_title(); ?></h2>	
							<?php the_excerpt(); ?>
						</div>
						<div class="content2">
							<ul class="block-list details-box">
								<?php if( RDTheme::$options['portfolio_showclient'] == 1  && !empty( $client ) ) : ?>
								<li><?php esc_html_e( 'Client', 'woddingat' ); ?>:<span><?php echo esc_html( $client ); ?></span></li>
								<?php endif; if ( RDTheme::$options['portfolio_showcat'] == 1 ): ?>
								<li><?php esc_html_e( 'Category', 'woddingat' ); ?>:<span><?php Helper::rt_get_portfolio_cat( get_the_ID() ); ?></span></li>
								<?php endif; if( RDTheme::$options['portfolio_showdate'] == 1 ) : ?>
								<li><?php esc_html_e( 'Date', 'woddingat' ); ?>:<span><?php the_time( get_option( 'date_format' ) );?></span></li>
								<?php endif; ?>
							</ul>
							<?php if( RDTheme::$options['portfolio_showshare'] == 1 && !empty( $social_icons ) ) : ?>	
							<ul class="block-list social">
								<?php foreach ( $social_icons as $key => $value ): 
									if( !empty( $value ) ) :
									switch ( $socials_fields[$key]['icon'] ) {
									 	case 'fa-facebook-f':
									 			$social_class = 'facebook';
									 		break;
									 		case 'fa-twitter':
									 			$social_class = 'twitter';
									 		break;
									 		case 'fa-youtube':
									 			$social_class = 'youtube';
									 		break;
									 		case 'fa-pinterest-p':
									 			$social_class = 'pinterest';
									 		break;
									 	default:
									 		$social_class = 'facebook';
									 		break;
									 } 
								?>
								<li><a href="<?php echo esc_url( $value ); ?>" class="<?php echo esc_attr( $social_class ); ?>">
										<i class="fab <?php echo esc_attr( $socials_fields[$key]['icon'] );?>"></i>
									</a>
								</li>
								<?php endif; endforeach; ?>
							</ul>
							<?php endif; ?>
						</div>	
					</div>					
				</div>
			</div>
		</div>
		<?php endwhile; ?>
		<?php if( RDTheme::$options['portfolio_prevnext'] == 1 ) : ?>
			<div class="pagination-box style-1">
				<div class="row">
				<?php get_template_part( 'template-parts/single-portfolio/portfolio-single-pagination' ); ?>
				</div>
			</div>
		<?php endif; ?>				
	</div>
</section>
<?php get_footer(); ?>