<?php
/**
 * Template Name: Blog Grid
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\woddingat;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

$post_meta_date = ( RDTheme::$options['blog_date'] ) ? true : false;
$post_meta_cat  = ( RDTheme::$options['blog_cats'] ) ? true : false;

use \WP_Query;
get_header();
	$args = array(
		'post_type' => "post",
		'posts_per_page' => get_option('posts_per_page'),
	);
	if ( get_query_var('paged') ) {
		$args['paged'] = get_query_var('paged');
	}
	elseif ( get_query_var('page') ) {
		$args['paged'] = get_query_var('page');
	}
	else {
		$args['paged'] = 1;
	}

	$query = new WP_Query( $args );

	global $wp_query;
	$wp_query = NULL;
	$wp_query = $query;

	if ( has_post_thumbnail() ){
    	$thumb_class = 'woddingat-thumb-size-2';
	} else {
	    $thumb_class = 'none-post-thumb';
	}
?>
<!--=====================================-->
<!--=         Blog Start    	=-->
<!--=====================================-->



<section class="blog-wrap-layout2">
	<div class="container">
		<div class="row masonry-items">	
			<?php if( $wp_query->have_posts() ) : 
				while ( $wp_query->have_posts() ) : $wp_query->the_post();

				if ( get_post_format() == 'quote' && RDTheme::$options['blog_quote_post'] ) { ?>
				<div class="col-lg-4 col-md-6 col-12 masonry-item">
				    <div  id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box blog-grid blockquote' ); ?>>
				        <blockquote>
				            <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				            <?php if( empty( RDTheme::$options['blog_quote_authname'] ) ) : ?>
				                <span><?php echo ucwords( get_the_author() ); ?></span>
				            <?php else: ?>
				                <span><?php echo esc_html( RDTheme::$options['blog_quote_authname'] ); ?></span>
				            <?php endif; if( empty( RDTheme::$options['blog_quote_authdesi'] ) ) : ?>
				                <cite><?php esc_html_e( 'Blogger', 'woddingat' );?></cite>
				            <?php else: ?>
				                <cite><?php echo esc_html( RDTheme::$options['blog_quote_authdesi'] ); ?></cite>
				            <?php endif; ?>
				        </blockquote>
				    </div>
				</div>
				<?php } else if( get_post_format() == 'link' && RDTheme::$options['blog_link_post'] ){ ?>
				<div class="col-lg-4 col-md-6 col-12 masonry-item">
				    <div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box blog-grid link-post' ); ?>>
				        <div class="link-post-inner">
				            <a class="link-text" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
				            <div class="icon-box">
				                <i class="flaticon-link"></i>
				            </div>
				        </div>
				    </div>
				</div>
				<?php } else { ?>
				<div class="col-lg-4 col-md-6 col-12 masonry-item">
				    <div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box blog-grid' ); ?>>
				        <?php if( has_post_thumbnail(  ) ) : ?>
				        <figure>
				            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'woddingat-thumb-size-2' ); ?></a>
				        </figure>
				        <?php endif;  ?>
				        <div class="content-box">
				            <ul class="entry-meta">
				                <?php if ( $post_meta_date == 1 ) : ?>
				                <li><i class="far fa-calendar-alt"></i><?php the_time( get_option( 'date_format' ) );?></li>
				                <?php endif; if ( $post_meta_cat == 1 ) : ?>
				                <li><i class="far fa-folder-open"></i><span><?php echo esc_html_e( 'In ', 'woddingat' ); ?></span><?php the_category( ', ' );?></li>
				            <?php endif; ?>
				            </ul>
				            <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				        </div>
				    </div>
				</div>
				<?php } ?>
			<?php endwhile; ?>
			
			<?php else:?>
			<?php get_template_part( 'template-parts/content', 'none' );?>
			<?php endif;?>
			<?php wp_reset_postdata(); ?>
		</div>
		<?php Helper::pagination(); ?>
	</div>
</section>

<?php get_footer(); ?>