<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );

if (is_rtl()) {
    $rtl = true;
    $dir = 'rtl';
} else {
    $rtl = false;
    $dir = 'ltr';
}

$slick_content = array( 
    'slidesToShow'        => $data['slide_to_show'],
    'slidesToShowTab'     => $data['slide_to_show_tab'],
    'slidesToShowMobile'  => $data['slide_to_show_mobile'],
    'slidesToShowMobiles' => $data['slide_to_show_small_mobile'],
    'autoplaySpeed'       => $data['slider_autoplay_speed'],
    'dots'                => false,
    'arrows'              => false,
    'autoplay'            => $data['slider_autoplay'] == 'yes' ? true : false,
    'rtl' => $rtl,
);

$slick_content = htmlspecialchars(wp_json_encode($slick_content), ENT_QUOTES, 'UTF-8');

?>

<div class="portfolio-carousel1" data-slick='<?php echo esc_attr( $slick_content ); ?>'>
    <?php foreach ( $slider_items as $item ): 
        $img1 = wp_get_attachment_image( $item['img1']['id'], 'full' );
        $img2 = wp_get_attachment_image( $item['img2']['id'], 'full' );

        $attr = '';
        if ( !empty( $item['url']['url'] ) ) {
            $attr  = 'href="' . $item['url']['url'] . '"';
            $attr .= !empty( $item['url']['is_external'] ) ? ' target="_blank"' : '';
            $attr .= !empty( $item['url']['nofollow'] ) ? ' rel="nofollow"' : '';
        }
    ?>
    <div class="carousel-portfolio-box">
        <?php if( !empty( $img1 ) ) : ?>
        <div class="figure-box">
            <?php echo wp_kses_post( $img1 ); ?>
        </div>
        <?php endif; ?>
        <div class="content-box">
            <?php if( !empty( $img2 ) ) : ?>
            <?php echo wp_kses_post( $img2 ); ?>
            <?php endif; ?>
            <?php if( !empty( $item['title'] ) ) : ?>
            <h2 class="title"><a <?php echo $attr; ?>><?php echo esc_html( $item['title'] ); ?></a></h2>
            <?php endif; if( !empty( $item['content'] ) ) : ?>
            <h3 class="sub-title"><?php echo wp_kses_post( $item['content'] ); ?></h3>
            <?php endif; ?>
        </div>
    </div>
    <?php endforeach; ?>
</div>

