<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use Elementor\Utils;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['btn_link']['url'] ) ) {
	$attr  = 'href="' . $data['btn_link']['url'] . '"';
	$attr .= !empty( $data['btn_link']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['btn_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<div class="call-to-action-box-layout1">
    <?php if( !empty( $title ) ) : ?>
    <h2 class="title"><?php echo wp_kses_post( $title ); ?></h2>
    <?php endif; if( !empty( $desc ) ) : ?>
    <p class="description"><?php echo wp_kses_post( $desc ); ?></p>
    <?php endif; if( !empty( $btn_txt ) ) : ?>
    <a <?php echo $attr; ?> data-toggle="modal" data-target="#exampleModalCenter" class="btn-fill "><span><span><?php echo wp_kses_post( $btn_txt ); ?></span></span></a>
    <?php endif; ?>
</div>
<!-- Modal Start -->
<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="container">
                <div class="contact-wrap-layout3">
                    <div class="section-heading style-3">
                        <?php if( !empty( $modal_sub_title ) ) : ?>
                        <div class="sub-title"><?php echo wp_kses_post( $modal_sub_title ); ?></div>
                        <?php endif; if( !empty( $modal_title ) ) : ?>
                        <h2 class="title"><?php echo wp_kses_post( $modal_title ); ?></h2>
                        <?php endif; if( !empty( $modal_desc ) ) : ?>
                        <p class="description"><?php echo wp_kses_post( $modal_desc ); ?></p>
                         <?php endif; ?>
                    </div>
                    <?php if( !empty( $modal_shortcode ) ) : 
                        $shortcode = do_shortcode( shortcode_unautop( $modal_shortcode ) );
                    ?>
                    <div class="contact-inner-box-layout1">
                        <div class="contact-form-box">
                            <?php echo $shortcode; ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Modal End -->

