<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );

if (is_rtl()) {
    $rtl = true;
    $dir = 'rtl';
} else {
    $rtl = false;
    $dir = 'ltr';
}

$slick_content = array( 
    'slidesToShow'        => 1,
    'slidesToShowTab'     => 1,
    'slidesToShowMobile'  => 1,
    'slidesToShowMobiles' => 1,
    'autoplaySpeed'       => 2000,
    'dots'                => false,
    'arrows'              => true,
    'autoplay'            => true,
    'rtl' => $rtl,
);

$slick_content = htmlspecialchars(wp_json_encode($slick_content), ENT_QUOTES, 'UTF-8');

?>

<div class="row masonry-items zoom-gallery">
    <?php foreach ( $gallery_items as $item ) :
        $img_single = wp_get_attachment_image( $item['single_img']['id'], 'full' );
        $img_url    = wp_get_attachment_image_url( $item['single_img']['id'], 'full' );
        $video_url  = ( $item['url']['url'] ) ? $item['url']['url'] : '';
    ?> 
    <div class="col-lg-4 col-md-6 col-12 masonry-item">
        <div class="gallery-box">
            <?php if( $item['gallery_type'] == 'slider' ) { ?>
                <div class="item-figure with-carousel">
                    <div class="gallery-carousel" data-slick='<?php echo esc_attr( $slick_content ); ?>'>
                        <?php if( !empty( $item['slider_img'] ) ) { 
                            foreach ( $item['slider_img'] as $slider_img ) {
                              $slider = wp_get_attachment_image( $slider_img['id'], 'full' );  
                        ?>
                        <?php echo wp_kses_post( $slider ); ?>
                        <?php } } ?>
                    </div>
                </div>
            <?php } elseif( $item['gallery_type'] == 'video' ) { ?>
                <div class="item-figure with-video">
                <?php echo wp_kses_post( $img_single ); ?>
                <a class="item-btn play-btn circle style-4 popup-youtube" href="<?php echo esc_url( $video_url ); ?>">
                    <div class="item-icon"><i class="fas fa-play"></i></div>
                </a>
            </div>
            <?php } else { ?>
                <div class="item-figure">
                <a href="<?php echo esc_url( $img_url ); ?>" data-fancybox-group="gallery">
                    <?php echo wp_kses_post( $img_single ); ?>
                </a>
                </div>
            <?php } ?>
        </div>
    </div>
    <?php endforeach; ?>
</div>

