<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['url']['url'] ) ) {
    $attr  = 'href="' . $data['url']['url'] . '"';
    $attr .= !empty( $data['url']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<div class="invitation-box-layout1" data-bg-image="<?php echo esc_attr( $image['url'] ); ?>">
    <div class="invitation-inner-box">
        <?php if( !empty( $sub_title ) ) : ?>
        <span class="sub-title"><?php echo wp_kses_post( $sub_title ); ?></span>
        <?php endif; if( !empty( $title ) ) : ?>
        <h2 class="title"><?php echo wp_kses_post( $title ); ?></h2>
        <?php endif; ?>
        <ul class="block-list address-info">
            <li>
                <?php if( !empty( $date ) ) : ?>
                <span><?php echo wp_kses_post( $date ); ?></span>
                <?php endif; if( !empty( $time ) ) : ?>
                <span><?php echo wp_kses_post( $time ); ?></span>
                <?php endif; ?>
            </li>
            <li>
                <?php if( !empty( $address1 ) ) : ?>
                <span><?php echo wp_kses_post( $address1 ); ?></span>
                 <?php endif; if( !empty( $address2 ) ) : ?>
                <span><?php echo wp_kses_post( $address2 ); ?></span>
                <?php endif; ?>
            </li>
        </ul>
        <?php if( !empty( $data['btntext'] ) ) : ?>
        <a <?php echo $attr; ?> class="btn-fill style-1"><span><span><?php echo esc_html( $data['btntext'] ); ?></span></span></a>
        <?php endif; ?>
    </div>
</div>

