<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

$prefix      = WODDINGAT_CORE_THEME_PREFIX;
$cpt         = WODDINGAT_CORE_CPT;
extract( $data );

extract( $data );
$args = array(
	'post_type'        	=> "{$cpt}_portfolio",
	'posts_per_page'   	=> $data['number'],
);

$bool = isset($data['category_list']);
$bool = $bool && is_array($data['category_list']);
$bool = $bool && count($data['category_list']) ;
if ($bool) {
  $args['tax_query'] = array(
    array(
      'taxonomy' 		 => "{$prefix}_portfolio_category",
      'terms' 			 => $data['category_list'], // Where term_id of Term 1 is "1".
      'include_children' => false
    )
  );
}

$posts 		= get_posts( $args );
$uniqueid = time() . rand( 1, 99 );
$project 	= array();
$cats    	= array();

foreach ( $posts as $post ) {
	$cats_comma       = array();
	$terms            = get_the_terms( $post, "{$cpt}_portfolio_category" );
	$terms            = $terms ? $terms : array();
 	$image_id 		  = get_post_thumbnail_id($post);	

	$terms_html       = '';
	$terms_comma_html = '';
	if ( !$terms ) {
		continue;
	}

	foreach ( $terms as $term ) {
		$terms_html  .= " {$uniqueid}-{$term->slug}";
		$cats_comma[] = $term->name;
		if ( !isset( $cats[$term->slug] ) ) {
			$cats[$term->slug] = $term->name;
		}
	}
	$project[] = array(
		'title'      	=> $post->post_title,
		'url'        	=> get_the_permalink( $post ),
		'cats'       	=> $terms_html,
		'cats_comma' 	=> implode(", ", $cats_comma ),
		'postID'     	=> $post->ID,
	);
}
?>
<div class="portfolio-layout2-wrapper">
	<div class="row masonry-items gutters-150">
		<?php 
			$i = 0;
			foreach ( $project as $portfolio_each ):
			$i++;
			if( $i % 2 == 0 ){
				$wow_delay = '2';
			}else{
				$wow_delay = '1';
			} 
		?>
		<div class="col-md-6 col-12 masonry-item wow animated fadeInUp" data-wow-duration="2s" data-wow-delay="0.<?php echo esc_attr( $wow_delay ); ?>s">
			<div class="portfolio-box portfolio-layout2 style-1">
				<div class="item-figure">
					<?php echo get_the_post_thumbnail( $portfolio_each['postID'], 'woddingat-thumb-size-6' ); ?>
				</div>
				<div class="item-content">
					<?php if( $category_display == 'yes' ) : ?>
					<div class="sub-title"><?php Helper::rt_get_portfolio_cat($portfolio_each['postID']); ?></div>
					<?php endif; ?>
					<h3 class="title"><a href="<?php echo esc_url( $portfolio_each['url'] );?>"><?php echo esc_html( $portfolio_each['title'] );?></a></h3>
				</div>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
</div>

