<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;
extract( $data );

$prefix = WODDINGAT_CORE_THEME_PREFIX;

$grid_query= null;
$args = array(
  'post_type'      => $prefix.'_portfolio',
  'post_status'    => 'publish',
  'posts_per_page' => $data['number'],
  'orderby'        => $data['orderby'],
  'order'          => $data['order'],
);

$bool = isset($data['category_list']);
$bool = $bool && is_array($data['category_list']);
$bool = $bool && count($data['category_list']) ;
if ($bool) {
  $args['tax_query'] = array(
    array(
      'taxonomy' 		 => "{$prefix}_portfolio_category",
      'terms' 			 => $data['category_list'], // Where term_id of Term 1 is "1".
      'include_children' => false
    )
  );
}

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ):

?>

<div class="row masonry-items gutters-60">
	<?php
	      while ( $grid_query->have_posts() ) : $grid_query->the_post();
	   ?>
	<div class="<?php echo esc_attr( $col_class ); ?> masonry-item">
		<div class="portfolio-box portfolio-layout4 style-1">
			<?php if( has_post_thumbnail() ) : ?>
			<div class="item-figure">
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail('woddingat-thumb-size-8'); ?>
				</a>
			</div>
			<?php endif; ?>
			<div class="item-content">
				<?php if( $cat_showhide == 'yes' ) : ?>
				<div class="sub-title"><?php Helper::rt_get_portfolio_cat( get_the_ID() ); ?></div>
				<?php endif; ?>
				<h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
			</div>
		</div>
	</div>
	<?php endwhile; wp_reset_postdata(); ?>
</div>

<?php endif; ?>