<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;

$comments_number = number_format_i18n( get_comments_number() );
$comments_html = $comments_number <= 1 ? esc_html__( 'Comment' , 'comments_number' ) : esc_html__( 'Comments' , 'comments_number' );
$comments_html = '<span class="comment-number">'. $comments_number .'</span> '. $comments_html;

$post_meta = $data['post_date'] ? true : false;

$cols    = $data['cols'];
$pdate   = $data['post_date'];
$pcats   = $data['post_cat'];

$grid_query= null;
$args = array(
  'post_type'      => 'post',
  'post_status'    => 'publish',
  'posts_per_page' => $data['number'],
);

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) : 

?>

<div class="row">
      <?php 
        while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
        $post_id = get_the_ID();
        $title = wp_trim_words( get_the_title(), $data['title_length'], '' );
        if ( has_post_thumbnail() ){
        $thumb_img = '';
          } else {
            $thumb_img = 'no-image';
          }
      ?>   
    <div class="col-lg-<?php echo esc_attr( $cols ); ?>">
        <div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box blog-grid '.$thumb_img  ); ?>>
            <?php if ( has_post_thumbnail() ){ ?>
            <figure>
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'woddingat-thumb-size-2' ); ?></a>
            </figure>
            <?php } ?>
            <div class="content-box">
                <ul class="entry-meta">
                    <?php if( $pdate == 'on' ) : ?>
                    <li><i class="far fa-calendar-alt"></i><?php the_time( get_option( 'date_format' ) );?></li>
                    <?php endif; if( $pcats == 'on' && has_category() ) : ?>
                    <li>
                        <i class="far fa-folder-open"></i><span><?php echo esc_html_e( 'In', 'woddingat' ); ?></span>
                        <?php the_category( ', ' );?>
                    </li>
                    <?php endif; ?>
                </ul>
                <h3 class="title"><a href="<?php the_permalink(); ?>"><?php echo esc_html( $title );?></a></h3>
            </div>
        </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?> 
</div>
<?php endif; ?>



