<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/class.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;

use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;

if ( ! defined( 'ABSPATH' ) ) exit;

class Price extends Custom_Widget_Base {

	public function __construct( $data = [], $args = null ){
		$this->rt_name = __( 'Price', 'woddingat-core' );
		$this->rt_base = 'rt-price';
		parent::__construct( $data, $args );
	}

	public function rt_fields(){

		$repeater = new \Elementor\Repeater();

		$repeater->add_control(
			'offer_name', [
				'type' 		  => Controls_Manager::TEXT,
				'label'       => esc_html__( 'Offer Name', 'woddingat-core' ),
				'default'     => esc_html__( 'Relaxing masage', 'woddingat-core' ),
				'label_block' => true,
			]
		);
		$fields = array(
			array(
				'id'      => 'sec_rt_price',
				'mode'    => 'section_start',
				'label'   => esc_html__( 'Price', 'woddingat-core' ),
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'title',
				'label'   => esc_html__( 'Title', 'woddingat-core' ),
				'default' => esc_html__( 'Standard', 'woddingat-core' ),
				'label_block' => true,
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'price',
				'label'   => esc_html__( 'Price', 'woddingat-core' ),
				'default' => esc_html__( '291/', '' ),
				'description' => esc_html__( 'Put your price', 'woddingat-core' ),			
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'price_symbol',
				'label'   => esc_html__( 'Price Symbol', 'woddingat-core' ),
				'default' => esc_html__( '$', 'woddingat-core' ),
				'description' => esc_html__( 'Put your Price Symbol', 'woddingat-core' ),			
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'period',
				'label'   => esc_html__( 'Period', 'woddingat-core' ),
				'default' => esc_html__( 'Month', 'woddingat-core' ),
			),
			array (
				'type'    => Controls_Manager::REPEATER,
				'id'      => 'offers',
				'label'   => esc_html__( 'Offer Lists', 'woddingat-core' ),
				'fields' => $repeater->get_controls(),
				'default' => [
					[ 'offer_name' => 'Relaxing masage' ],	         
					[ 'offer_name' => 'Manicure & Pedicure' ],	         
					[ 'offer_name' => 'Body Polish' ],	         
					[ 'offer_name' => 'Relaxing masage' ],	         
					[ 'offer_name' => 'Manicure & Pedicure' ],	         
					[ 'offer_name' => 'Body Polish' ],	         
		       ],
			),
			array(
				'type'        => Controls_Manager::TEXT,
				'id'          => 'buttontext',
				'label'       => esc_html__( 'Button Text', 'woddingat-core' ),
				'default'     => esc_html__( 'READ MORE', 'woddingat-core' ),
				'label_block' => true,
			),
			array(
				'type'        => Controls_Manager::URL,
				'id'          => 'buttonurl',
				'label'       => esc_html__( 'Link (Optional)', 'woddingat-core' ),
				'placeholder' => 'https://your-link.com',
			),
			array(
				'type'        => Controls_Manager::TEXT,
				'id'          => 'delay',
				'label'       => esc_html__( 'Animation Delay', 'woddingat-core' ),
				'default'     => 1,
				'label_block' => true,
			),
			array(
				'mode' => 'section_end',
			),
			// Style
			array(
				'id'      => 'title_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Title', 'woddingat-core' ),
			),
			array(
				'id'        => 'title_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'woddingat-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .pricing-box-layout1 .title' => 'color: {{VALUE}}',
				),
			),
			array(
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'name'     => 'title_typo',
				'label'    => __( 'Typography', 'woddingat-core' ),
				'selector' => '{{WRAPPER}} .pricing-box-layout1 .title',
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'price_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Price', 'woddingat-core' ),
			),
			array(
				'id'        => 'price_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'woddingat-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .pricing-box-layout1 .price' => 'color: {{VALUE}}',
				),
			),
			array(
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'name'     => 'price_typo',
				'label'    => __( 'Typography', 'woddingat-core' ),
				'selector' => '{{WRAPPER}} .pricing-box-layout1 .price',
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'period_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Period', 'woddingat-core' ),
			),
			array(
				'id'        => 'period_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'woddingat-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .pricing-box-layout1 .price span' => 'color: {{VALUE}}',
				),
			),
			array(
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'name'     => 'period_typo',
				'label'    => __( 'Typography', 'woddingat-core' ),
				'selector' => '{{WRAPPER}} .pricing-box-layout1 .price span',
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'offer_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Offer', 'woddingat-core' ),
			),
			array(
				'id'        => 'offer_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'woddingat-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .pricing-box-layout1 .list-info li' => 'color: {{VALUE}}',
				),
			),
			array(
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'name'     => 'offer_typo',
				'label'    => __( 'Typography', 'woddingat-core' ),
				'selector' => '{{WRAPPER}} .pricing-box-layout1 .list-info li',
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'btn_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Button', 'woddingat-core' ),
			),
			array(
				'id'      => 'btn_color',
				'type'    => Controls_Manager::COLOR,
				'label'   => __( 'Color', 'woddingat-core' ),
				'selectors' => array( '{{WRAPPER}} .pricing-box-layout1 .btn-fill' => 'color: {{VALUE}}' ),
			),
			array(
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'name'     => 'btn_typo',
				'label'    => __( 'Typography', 'woddingat-core' ),
				'selector' => '{{WRAPPER}} .pricing-box-layout1 .btn-fill',
			),
			array(
				'id'      => 'btn_bgcolor',
				'type'    => Controls_Manager::COLOR,
				'label'   => __( 'Background Color', 'woddingat-core' ),
				'selectors' => array( '{{WRAPPER}} .pricing-box-layout1 .btn-fill' => 'background-color: {{VALUE}}' ),
			),
			array(
				'id'      => 'btn_border_color',
				'type'    => Controls_Manager::COLOR,
				'label'   => __( 'Border Color', 'woddingat-core' ),
				'selectors' => array( '{{WRAPPER}} .pricing-box-layout1 .btn-fill > span' => 'border-color: {{VALUE}}' ),
			),
			array(
				'mode' => 'section_end',
			),
		);
		return $fields;
	}

	protected function render() {
		$data = $this->get_settings();

		$template = 'view';

		return $this->rt_template( $template, $data );
	}
}