<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;

extract( $data );

$attr = '';
if ( !empty( $data['buttonurl']['url'] ) ) {
    $attr  = 'href="' . $data['buttonurl']['url'] . '"';
    $attr .= !empty( $data['buttonurl']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['buttonurl']['nofollow'] ) ? ' rel="nofollow"' : '';  
}

if ( !empty( $data['buttontext'] ) ) {
    $btn = '<a class="btn-fill" ' . $attr . '><span><span>' . $data['buttontext'] . '</span></span></a>';
}

?>
<div class="wow animated fadeInUp" data-wow-duration="2s" data-wow-delay="0.<?php echo esc_attr( $delay ); ?>s">
    <div class="pricing-box-layout1">
        <div class="inner-box">
            <?php if( !empty( $title ) ) : ?>
            <h3 class="title"><?php echo esc_html( $title ); ?></h3>
            <?php endif; if( !empty( $price ) ) : ?>
            <div class="price"><?php echo esc_html( $price_symbol ); ?><?php echo esc_html( $price ); ?><span><?php echo esc_html( $period ); ?></span></div>
            <?php endif; if( !empty( $offers ) ) : ?>
            <ul class="list-info">
                <?php foreach( $offers as $offer ) : ?>
                <li><?php echo wp_kses_post( $offer['offer_name'] ); ?></li>
                <?php endforeach; ?>
            </ul>
            <?php endif; if ( !empty( $btn ) ) : 
                echo wp_kses_post( $btn );
            endif; ?>
        </div>
    </div>
</div>


