<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;
extract( $data );
$prefix = WODDINGAT_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
$args = array(
  'post_type'      => $prefix.'_service',
  'post_status'    => 'publish',
  'posts_per_page' => $data['number'],
  'orderby'        => $data['orderby'],
  'order'          => $data['order'],
);

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="row">
	<?php
		$i = 0; 
	    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
	    $icon         = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
	    $contact_text = get_post_meta( get_the_ID(), "{$prefix}_contact_text", true );
	    $contact_link = get_post_meta( get_the_ID(), "{$prefix}_contact_link", true );
	 ?>
	<div class="<?php echo esc_attr( $col_class ); ?> wow animated fadeInUp" data-wow-duration="2s" data-wow-delay="0.<?php echo esc_attr( $i * 2 + 1 ); ?>s">
		<div class="service-box-layout1">
			<?php if( !empty( $icon ) ) : ?>
			<div class="icon-box">
				<i class="<?php echo esc_attr( $icon ); ?>"></i>
			</div>
			<?php endif; ?>
			<h3 class="title"><?php the_title(); ?></h3>
			<?php if( $category == 'yes' ) : ?>
			<div class="sub-title"><?php Helper::rt_get_services_cat(get_the_ID()); ?></div>
			<?php endif; ?>
			<p class="description"><?php echo Helper::woddingat_excerpt( $excerpt ); ?></p>
			<?php if( $button_link == 'yes' && !empty( $contact_link ) ) : ?>
			<a href="<?php echo esc_url( $contact_link );?>" class="btn-text style-4"><?php echo esc_html( $contact_text ); ?></a>
			<?php endif; ?>
		</div>
	</div>
	<?php $i++; endwhile; wp_reset_postdata(); ?>
</div>
<?php endif; ?>

