<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;

extract( $data );
$prefix = WODDINGAT_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
$args = array(
  'post_type'      => $prefix.'_service',
  'post_status'    => 'publish',
  'posts_per_page' => $data['number'],
  'orderby'        => $data['orderby'],
  'order'          => $data['order'],
);

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="row">
	<?php
	    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
	    $icon = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
	 ?>
	<div class="col-xl-4 col-md-6 col-12">
		<div class="service-box-layout2">
			<?php if( !empty( $icon ) ) : ?>
			<div class="icon-box">
				<i class="<?php echo esc_attr( $icon ); ?>"></i>
			</div>
			<?php endif; ?>
			<h3 class="title"><?php the_title(); ?></h3>
			<p class="description"><?php echo Helper::woddingat_excerpt( $excerpt ); ?></p>
		</div>
	</div>
	<?php endwhile; wp_reset_postdata(); ?>
</div>


<?php endif; ?>


