<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;
extract( $data );

$banners = array();
foreach ( $data['banner_list'] as $banner_list ) {
	$banners[] = array(
		'id'           	   => 'testimonial-' . time().rand( 1, 99 ),
		'banner_image'     => $banner_list['banner_image']['id'] ? $banner_list['banner_image']['id'] : "",
		'banner_image2'    => $banner_list['banner_image2']['id'] ? $banner_list['banner_image2']['id'] : "",
		'banner_title'     => $banner_list['banner_title'],
		'banner_sub_title' => $banner_list['banner_sub_title'],
		'banner_text'      => $banner_list['banner_text'],
		'button_text'      => $banner_list['button_text'],
		'button_url'       => $banner_list['button_url']['url'],
	);
}

if( $show_arrow == 'yes' ){
	$navControl = true;
}else{
	$navControl = false;
}

?>

<section class="main-banner main-banner-layout2">
	<div class="bend niceties preview-1">
		<div id="ensign-nivoslider-2" data-navcontrol="<?php echo esc_attr( $navControl ); ?>" class="slides">
			<?php $i = 1; foreach ( $banners as $banner ) { 
				$attr = array('title' => '#slider-direction-'.$i );
				$banner_image = wp_get_attachment_image( $banner['banner_image'], 'full', false, $attr );
			?>
				<?php echo wp_kses_post( $banner_image ); ?>
            <?php $i++; } ?>
		</div>
		<?php $n = 1; foreach ( $banners as $banner ) { 
			$banner_image2 = wp_get_attachment_image( $banner['banner_image2'], 'full', false, $attr );
		?>
		<div id="slider-direction-<?php echo esc_attr( $n ); ?>" class="slider-direction slider-direction-<?php echo esc_attr( $n ); ?>">
			<div class="slide slide-<?php echo esc_attr( $n ); ?>">
				<div class="container">
					<div class="row d-flex justify-content-center">
						<div class="col-lg-10">
							<?php if( !empty( $banner_image2 ) ) : ?>
							<div class="banner-element">
								<?php echo wp_kses_post( $banner_image2 ); ?>
							</div>
							<?php endif; if( !empty( $banner['banner_sub_title'] ) ) : ?>
							<div class="banner-sub-title"><?php echo wp_kses_post( $banner['banner_sub_title'] ); ?></div>
							<?php endif; if( !empty( $banner['banner_title'] ) ) : ?>
							<h1 class="banner-big-text"><?php echo esc_html( $banner['banner_title'] ); ?></h1>
							<?php endif; if( !empty( $banner['banner_text'] ) ) : ?>
							<p class="banner-paragraph"><?php echo wp_kses_post( $banner['banner_text'] ); ?></p>
							<?php endif; if( !empty( $banner['button_text'] ) ) : ?>
							<a href="<?php echo esc_url( $banner['button_url'] ); ?>" class="banner-btn btn-fill style-1"><span><span><?php echo wp_kses( $banner['button_text'], 'alltext_allow' ); ?></span></span></a>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php $n++; } ?>
	</div>
	<?php if ( $show_social == 'yes' && $rdtheme_socials = Helper::socials() ) : ?>
	<ul class="inline-list social">
		<?php foreach ( $rdtheme_socials as $social ) : ?>
		<li>
			<a href="<?php echo esc_url($social['url']) ?>" target="_blank">
    		<i class="<?php echo esc_attr($social['icon']) ?>"></i>
	    </a>
		</li>
		<?php endforeach; ?>
	</ul>
	<?php endif; ?>
</section>


