<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;
extract( $data );

$banners = array();
foreach ( $data['slider_list'] as $banner_list ) {
	$banners[] = array(
		'id'           	   => 'testimonial-' . time().rand( 1, 99 ),
		'banner_image'     => $banner_list['banner_image']['id'] ? $banner_list['banner_image']['id'] : "",
		'banner_image2'    => $banner_list['banner_image2']['id'] ? $banner_list['banner_image2']['id'] : "",
		'banner_title'     => $banner_list['banner_title'],
		'banner_text'      => $banner_list['banner_text'],
		'gallery_images'   => $banner_list['banner_gallery'],
	);
}

?>

<div id="pagepiling" class="pagepiling-layout">
<?php 
	$i = 1;
	foreach ( $banners as $banner ) { 
	$banner_image  = wp_get_attachment_image_url( $banner['banner_image'], 'full' );
	$banner_image2 = wp_get_attachment_image( $banner['banner_image2'], 'full' );
	$section_class = '';
	switch ( $i ) {
		case '1':
			$section_class = 'first';
			break;
		case '2':
			$section_class = 'second';
			break;
		case '3':
			$section_class = 'third';
			break;
		case '4':
			$section_class = 'forth';
			break;
	}
?>

<div class="section">
	<div class="inner-section section-<?php echo esc_attr( $section_class ); ?>">
		<div class="left-box" data-bg-image="<?php echo esc_attr( $banner_image ); ?>">
			<div class="content-box">
				<?php if( !empty( $banner_image2 ) ) : ?>
					<?php echo wp_kses_post( $banner_image2 ); ?>
				<?php endif; if( !empty( $banner['banner_title'] ) ) : ?>
				<h2 class="title"><?php echo esc_html( $banner['banner_title'] ); ?></h2>
				<?php endif; if( !empty( $banner['banner_title'] ) ) : ?>
				<h3 class="sub-title"><?php echo wp_kses_post( $banner['banner_text'] ); ?></h3>
				<?php endif; ?>
			</div>
			<?php if ( $show_social == 'yes' && $rdtheme_socials = Helper::socials() ) : ?>
			<ul class="inline-list social">
				<?php foreach ( $rdtheme_socials as $social ) : ?>
				<li>
					<a href="<?php echo esc_url($social['url']) ?>" target="_blank">
						<i class="<?php echo esc_attr($social['icon']) ?>"></i>
					</a>
				</li>
				<?php endforeach; ?>
			</ul>
			<?php endif; ?>
		</div>
		<div class="right-box">
			<div class="box-container">
				<div class="box-row">
					<?php if( !empty( $banner['gallery_images'] ) ) : ?>
					<?php foreach( $banner['gallery_images'] as $gallery_img ) :
					$gallery_img = wp_get_attachment_image( $gallery_img['id'], 'full' ); 
					?>
					<div class="box-col">
						<div class="figure-box">
							<?php echo wp_kses_post( $gallery_img ); ?>
						</div>
					</div>
					<?php endforeach; ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>	
<?php $i++; } ?>
</div>
