<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

$prefix      = WODDINGAT_CORE_THEME_PREFIX;
$cpt         = WODDINGAT_CORE_CPT;
extract( $data );

$img = wp_get_attachment_image( $image['id'], 'full' ); 

$attr = '';
if ( !empty( $data['url']['url'] ) ) {
	$attr  = 'href="' . $data['url']['url'] . '"';
	$attr .= !empty( $data['url']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<div class="wow animated fadeInUp" data-wow-duration="2s" data-wow-delay="0.<?php echo esc_attr( $animation_delay ); ?>s">
	<div class="portfolio-box portfolio-layout3 style-1 stories">
		<?php if( !empty( $img ) ) : ?>
		<div class="item-figure">
			<a <?php echo $attr; ?>>
				<?php echo wp_kses_post( $img ); ?>
			</a>
		</div>
		<?php endif; ?>
		<div class="item-content">
			<?php if( !empty( $sub_title ) ) : ?>
			<div class="sub-title"><?php echo wp_kses_post( $sub_title ); ?></div>
			<?php endif; if( !empty( $sub_title ) ) : ?>
			<h3 class="title"><a <?php echo $attr; ?>><?php echo wp_kses_post( $title ); ?></a></h3>
			<?php endif; ?>
		</div>
	</div>
</div>

