<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;
extract( $data );

?>
<div class="team-tab-wrap">
 <ul class="team-tab nav" id="myTab" role="tablist">
  <?php

  $team_category_ids = array();

  if( !empty( $category_list ) ){
    $team_categories = $category_list;
    foreach( $team_categories as $cat ) {
        $team_category_ids[] = $cat;
    }
  }
   
  if( !empty( $team_categories ) ) {
      $args = array(
          'taxonomy' => 'woddingat_team_category',
          'parent' => 0,
          'include' => $team_category_ids,
          'order' => 'DESC'
      );
  } else {
      $args = array(
          'taxonomy' => 'woddingat_team_category',
          'parent' => 0,
          'order' => 'DESC'
      );
  }
   
  // Starting query terms now
  $team_cats = get_terms($args);

  $count_tab = 1;
  foreach($team_cats as $team_cat) { ?>
      <li class="nav-item waves-effect waves-light"><a href="#nav-<?php echo $team_cat->slug ?>"
      class="nav-link <?php if($count_tab == 1){echo 'active';} ?>" id="nav-<?php echo $team_cat->slug ?>-tab" data-toggle="tab" role="tab" aria-controls="nav-<?php echo $team_cat->slug ?>" aria-selected="<?php if($count_tab == 1){echo 'true';} else {echo 'false';} ?>"><?php echo $team_cat->name ?></a><li>
  <?php $count_tab++; } ?>
  </ul>
  <div id="nav-tabContent" class="tab-content">
  <?php
    $count = 1;
    foreach($team_cats as $team_cat) { 
  ?>
     <div class="tab-pane fade <?php if($count == 1){echo 'show active';} ?>" id="nav-<?php echo $team_cat->slug ?>" role="tabpanel" aria-labelledby="nav-<?php echo $team_cat->slug ?>-tab">
      <?php
      $count++;      
      $args = array(
        'post_type' => 'woddingat_team',          
        'posts_per_page' => $number,          
        'orderby' => $orderby,
        'order' => $order,
        'tax_query' => array(
          array(
            'taxonomy' => 'woddingat_team_category',
            'field' => 'slug',
            'terms' => $team_cat->slug
          )
        )
      );
      $team_query1 = new \WP_Query( $args ); ?>   
      <div class="row">
        <?php 
          while ( $team_query1->have_posts() ) : 
          $team_query1->the_post(); 
          $socials        = get_post_meta( get_the_ID(), "woddingat_tsicons", true );
          $socials_fields = Helper::team_socials();
        ?>
        <div class="col-xl-3 col-sm-6 col-12">
          <div class="team-box style-1">
            <figure>
                <?php the_post_thumbnail(); ?>
                <?php if( is_array( $socials ) && $social_showhide == 'yes' ) : ?>
                <ul class="inline-list social">
                  <?php 
                    foreach ( $socials as $key => $value ): 
                    if( !empty( $value ) ) : 
                  ?>
                  <li>
                      <a href="<?php echo esc_url( $value ); ?>"><i class="fab <?php echo esc_attr( $socials_fields[$key]['icon'] );?>"></i></a>
                  </li>
                  <?php endif; endforeach; ?>
                </ul>
                <?php endif; ?>
              </figure>
              <div class="content-box">
                <h3 class="title"><?php the_title();?></h3>
                <?php if( $cat_showhide == 'yes' ) : ?>
                <h4 class="sub-title"><?php Helper::rt_get_team_cat(get_the_ID()); ?></h4>
                <?php endif; ?>
              </div>
            </div>
          </div>
        <?php  endwhile; wp_reset_query() ?>
      </div>
    </div>
   <?php } ?> 
  </div>
</div>


