<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;
extract( $data );

$prefix = WODDINGAT_CORE_THEME_PREFIX;

$grid_query= null;
$args = array(
  'post_type'      => $prefix.'_team',
  'post_status'    => 'publish',
  'posts_per_page' => $data['number'],
  'orderby'        => $data['orderby'],
  'order'          => $data['order'],
);


$bool = isset($data['category_list']);
$bool = $bool && is_array($data['category_list']);
$bool = $bool && count($data['category_list']) ;
if ($bool) {
  $args['tax_query'] = array(
    array(
      'taxonomy'     => "{$prefix}_team_category",
      'terms'        => $data['category_list'], // Where term_id of Term 1 is "1".
      'include_children' => false
    )
  );
}


$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>
<div class="team-layout2-wrap">
  <div class="row masonry-items">
    <?php
        $i = 0; 
        while ( $grid_query->have_posts() ) : $grid_query->the_post();
        $socials        = get_post_meta( get_the_ID(), "woddingat_tsicons", true );
        $socials_fields = Helper::team_socials();
        if ( $i === 3 ) {
            $i = 0;
        }
     ?>
    <div class="<?php echo esc_attr( $col_class ); ?> masonry-item wow animated fadeInUp" data-wow-duration="2s" data-wow-delay="0.<?php echo esc_attr( $i * 2 + 1 ); ?>s">
      <div class="team-box-layout2">
        <?php if( has_post_thumbnail() ) : ?>
        <figure>
          <?php the_post_thumbnail(); ?>
          <?php if( $social_showhide == 'yes' ) : ?>
          <ul class="inline-list social">
            <?php 
              foreach ( $socials as $key => $value ): 
              if( !empty( $value ) ) :  

                switch ( $key ) {
                  case 'facebook':
                    $icon = 'FB';
                    break;
                  case 'linkedin':
                    $icon = 'IN';
                    break;
                  case 'twitter':
                    $icon = 'TW';
                    break;
                  case 'gplus':
                    $icon = 'G+';
                    break;
                  case 'behance':
                    $icon = 'BE';
                    break;
                  case 'dribbble':
                    $icon = 'DR';
                    break;
                  case 'skype':
                    $icon = 'SK';
                    break;
                  case 'youtube':
                    $icon = 'YT';
                    break;
                  case 'pinterest':
                    $icon = 'PT';
                    break;
                  case 'instagram':
                    $icon = 'IG';
                    break;
                  case 'github':
                    $icon = 'GH';
                    break;
                  case 'stackoverflow':
                    $icon = 'SF';
                    break;
                  default:
                    $icon = '';
                    break;
                }
            ?>
            <li><a href="<?php echo esc_url( $value ); ?>"><?php echo esc_html( $icon ); ?></a></li>
            <?php endif; endforeach; ?>
          </ul>
          <?php endif; ?>
        </figure>
        <?php endif; ?>
        <div class="content-box">
          <?php if( $cat_showhide == 'yes' ) : ?>
          <div class="sub-title"><?php Helper::rt_get_team_cat(get_the_ID()); ?></div>
          <?php endif; ?>
          <h3 class="title"><?php the_title(); ?></h3>
        </div>
      </div>
    </div>
    <?php $i++; endwhile; wp_reset_postdata(); ?> 
  </div>
</div>
<?php endif; ?>