<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\Helper;
extract( $data );

$prefix = WODDINGAT_CORE_THEME_PREFIX;

$grid_query= null;
$args = array(
  'post_type'      => $prefix.'_team',
  'post_status'    => 'publish',
  'posts_per_page' => $data['number'],
  'orderby'        => $data['orderby'],
  'order'          => $data['order'],
);

$bool = isset($data['category_list']);
$bool = $bool && is_array($data['category_list']);
$bool = $bool && count($data['category_list']) ;
if ($bool) {
  $args['tax_query'] = array(
    array(
      'taxonomy'     => "{$prefix}_team_category",
      'terms'        => $data['category_list'], // Where term_id of Term 1 is "1".
      'include_children' => false
    )
  );
}

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>
<div class="row">
    <?php
        while ( $grid_query->have_posts() ) : $grid_query->the_post();
        $socials        = get_post_meta( get_the_ID(), "woddingat_tsicons", true );
        $socials_fields = Helper::team_socials();
     ?>           
    <div class="<?php echo esc_attr( $col_class ); ?>">
      <div class="team-box style-1">
        <?php if( has_post_thumbnail() ) : ?>
        <figure>
          <?php the_post_thumbnail(); ?>
          <?php if( is_array( $socials ) && $social_showhide == 'yes' ) : ?>                  
          <ul class="inline-list social">
            <?php 
              foreach ( $socials as $key => $value ): 
              if( !empty( $value ) ) : 
            ?>
            <li><a href="<?php echo esc_url( $value ); ?>"><i class="fab <?php echo esc_attr( $socials_fields[$key]['icon'] );?>"></i></a></li>
            <?php endif; endforeach; ?>
          </ul>
          <?php endif; ?>
        </figure>
        <?php endif; ?>
        <div class="content-box">
          <h3 class="title"><?php the_title(); ?></h3>
          <?php if( $cat_showhide == 'yes' ) : ?>
          <h4 class="sub-title"><?php Helper::rt_get_team_cat(get_the_ID()); ?></h4>
          <?php endif; ?>
        </div>
      </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
  </div>
<?php endif; ?>