<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
    $slides[] = array(
        'id'        => 'slide-' . time().rand( 1, 99 ),
        'icon'      => $slide['icon'],
        'title'     => $slide['title'],
        'designation' => $slide['designation'],
        'desc'      => $slide['desc'],
    );
}
if (is_rtl()) {
    $rtl = true;
    $dir = 'rtl';
} else {
    $rtl = false;
    $dir = 'ltr';
}
$slick_content = array( 
    'slidesToShow'        => $data['slide_to_show'],
    'slidesToShowTab'     => $data['slide_to_show_tab'],
    'slidesToShowMobile'  => $data['slide_to_show_mobile'],
    'slidesToShowMobiles' => $data['slide_to_show_small_mobile'],
    'autoplaySpeed'       => $data['slider_autoplay_speed'],
    'dots'                => false,
    'arrows'              => false,
    'autoplay'            => $data['slider_autoplay'] == 'yes' ? true : false,
    'rtl' => $rtl,
);

$slick_content = htmlspecialchars(wp_json_encode($slick_content), ENT_QUOTES, 'UTF-8');

?>
<div class="testimonial-wrap-layout2">
    <div class="container-fluid box-layout">
        <div class="testimonial-carousel1" data-slick='<?php echo esc_attr( $slick_content ); ?>'>
            <?php foreach ( $slides as $slide ): ?>
            <div class="testimonial-box-layout2">
                <?php if( !empty( $slide['icon']['value'] ) ) : ?>
                <div class="icon"><i class="<?php echo esc_attr( $slide['icon']['value'] ); ?>"></i></div>
                <?php endif; if( !empty( $slide['desc'] ) ) : ?>
                <h3 class="title"><?php echo wp_kses_stripslashes( $slide['desc'] ); ?></h3>
                <?php endif; if( !empty( $slide['title'] ) ) : ?>
                <div class="name"><?php echo wp_kses_stripslashes( $slide['title'] ); ?></div>
                <?php endif; if( !empty( $slide['designation'] ) ) : ?>
                <div class="designation"><?php echo esc_html( $slide['designation'] ); ?></div>
                <?php endif; ?>
            </div>
            <?php endforeach; ?>
        </div>
    </div>
</div>


