<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\RDTheme;
use radiustheme\woddingat\inc\Helper;

if ( ! defined( 'ABSPATH' ) ) exit;

if ( !class_exists( 'RT_Postmeta' ) ) {
	return;
}

$Postmeta = \RT_Postmeta::getInstance();

$prefix = WODDINGAT_CORE_THEME_PREFIX;

/*-------------------------------------
#. Portfolio Socials
---------------------------------------*/
$rt_socials = array(
	'facebook' => array(
		'label' => __( 'Facebook', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-facebook-f',
	),
	'twitter' => array(
		'label' => __( 'Twitter', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-twitter',
	),
	'linkedin' => array(
		'label' => __( 'Linkedin', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-linkedin-in',
	),
	'gplus' => array(
		'label' => __( 'Google Plus', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-google-plus',
	),
	'behance' => array(
		'label' => __( 'Behance', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-behance',
	),
	'dribbble' => array(
		'label' => __( 'Dribbble', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-dribbble',
	),
	'skype' => array(
		'label' => __( 'Skype', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-skype',
	),
	'youtube' => array(
		'label' => __( 'Youtube', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-youtube',
	),
	'pinterest' => array(
		'label' => __( 'Pinterest', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-pinterest-p',
	),
	'instagram' => array(
		'label' => __( 'Instagram', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-instagram',
	),
	'github' => array(
		'label' => __( 'Github', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-github',
	),
	'stackoverflow' => array(
		'label' => __( 'Stackoverflow', 'woddingat' ),
		'type'  => 'text',
		'icon'  => 'fa-stack-overflow',
	),
);
$rt_socials = apply_filters( 'rt_socials', $rt_socials );

/*-------------------------------------
#. Layout Settings
---------------------------------------*/
$nav_menus = wp_get_nav_menus( array( 'fields' => 'id=>name' ) );
$nav_menus = array( 'default' => __( 'Default', 'woddingat-core' ) ) + $nav_menus;

$Postmeta->add_meta_box( '{$prefix}_page_settings', esc_html__( 'Layout Settings', 'woddingat-core' ), array( 'page', 'post' ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_layout" => array(
			'label'   => esc_html__( 'Layout', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default'       => esc_html__( 'Default', 'woddingat-core' ),
				'full-width'    => esc_html__( 'Full Width', 'woddingat-core' ),
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'woddingat-core' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'woddingat-core' ),
				),
			'default'  			=> 'default',
		),	
		"{$prefix}_header" => array(
			'label'   => esc_html__( 'Header Layout', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'woddingat-core' ),
				'1'       => esc_html__( 'Style 1', 'woddingat-core' ),
				'2'       => esc_html__( 'Style 2', 'woddingat-core' ),	
				'3'       => esc_html__( 'Style 3', 'woddingat-core' ),	
				'4'       => esc_html__( 'Style 4', 'woddingat-core' ),	
				'5'       => esc_html__( 'Style 5', 'woddingat-core' ),	
			),
			'default'  => 'default',
		),	
		"{$prefix}_footer" => array(
			'label'   => esc_html__( 'Footer Layout', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'woddingat-core' ),
				'1'       => esc_html__( 'Style 1', 'woddingat-core' ),
				'2'       => esc_html__( 'Style 2', 'woddingat-core' ),		
				'3'       => esc_html__( 'Style 3', 'woddingat-core' ),		
				'4'       => esc_html__( 'Style 4', 'woddingat-core' ),		
			),
			'default'  => 'default',
		),
		"{$prefix}_tr_header" => array(
			'label'    	  => __( 'Transparent Header', 'woddingat-core' ),
			'type'     	  => 'select',
			'options'  	  => array(
				'default' => __( 'Default', 'woddingat-core' ),
				'on'      => __( 'Enabled', 'woddingat-core' ),
				'off'     => __( 'Disabled', 'woddingat-core' ),
			),
			'default'  => 'default',
		),
		"{$prefix}_banner" => array(
			'label'   => esc_html__( 'Banner', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'woddingat-core' ),
				'on'      => esc_html__( 'Enable', 'woddingat-core' ),
				'off'     => esc_html__( 'Disable', 'woddingat-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_breadcrumb" => array(
			'label'   => esc_html__( 'Breadcrumb', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'woddingat-core' ),
				'on'      => esc_html__( 'Enable', 'woddingat-core' ),
				'off'     => esc_html__( 'Disable', 'woddingat-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_type" => array(
			'label'   => esc_html__( 'Banner Background Type', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default'  => esc_html__( 'Default', 'woddingat-core' ),
				'bgimg'    => esc_html__( 'Background Image', 'woddingat-core' ),
				'bgcolor'  => esc_html__( 'Background Color', 'woddingat-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_bgimg" => array(
			'label' => esc_html__( 'Banner Background Image', 'woddingat-core' ),
			'type'  => 'image',
			'desc'  => esc_html__( 'If not selected, default will be used', 'woddingat-core' ),
		),

		"{$prefix}_banner_bgcolor" => array(
			'label' => esc_html__( 'Banner Background Color', 'woddingat-core' ),
			'type'  => 'color_picker',
			'desc'  => esc_html__( 'If not selected, default will be used', 'woddingat-core' ),
		),
		"{$prefix}_banner_bgimage_overlay" => array(
			'label' => esc_html__( 'Banner Background Image Overlay', 'woddingat-core' ),
			'type'  => 'color_picker',
			'desc'  => esc_html__( 'If not selected, default will be used', 'woddingat-core' ),
		),
		"{$prefix}_overlay_opacity" => array(
			'label' => esc_html__( 'Overlay Opacity', 'woddingat-core' ),
			'type'  => 'number',
			'default'  => '',
			'desc'  => esc_html__( 'Max input number will be 100', 'woddingat-core' ),
		),	
		"{$prefix}_inner_padding_top" => array(
			'label' => esc_html__( 'Banner Padding Top', 'woddingat-core' ),
			'type'  => 'text',
			'default'  => '',
			'desc'  => esc_html__( 'If not selected, default will be used 110 "px"', 'woddingat-core' ),
		),	
		"{$prefix}_inner_padding_bottom" => array(
			'label' => esc_html__( 'Banner Padding Bottom', 'woddingat-core' ),
			'type'  => 'text',
			'default'  => '',
			'desc'  => esc_html__( 'If not selected, default will be used 0 "px" ', 'woddingat-core' ),
		),	
	),
	) 
);


/*---------------------------------------------------------------------
#. = Service
-----------------------------------------------------------------------*/
//$icons = array( 'fas fa-smile' => esc_html__( 'Smile', 'woddingat-core' ) ) + Helper::get_icons();

$icons = array(
	"flaticon-phone-call"      => "Flaticon Phone Call",
	"flaticon-clock"           => "Flaticon Clock",
	"flaticon-search"          => "Flaticon Search",
	"flaticon-shopping-cart-empty-side-view"  => "Flaticon Shopping Cart Empty",
	"flaticon-negotiation"     => "Flaticon Negotiation",
	"flaticon-love"            => "Flaticon Love",
	"flaticon-wedding-rings"   => "Flaticon Wedding Rings",
	"flaticon-wedding"         => "Flaticon Wedding",
	"flaticon-right-quote"     => "Flaticon Right Quote",
	"flaticon-left-arrow"      => "Flaticon Left Arrow",
	"flaticon-wedding-arch"    => "Flaticon Wedding Arch",
	"flaticon-dinner"          => "Flaticon Dinner",
	"flaticon-photography"     => "Flaticon Photography",
	"flaticon-birthday-cake"   => "Flaticon Birthday Cake",
	"flaticon-map-locator"     => "Flaticon Map Locator",
	"flaticon-envelope"        => "Flaticon Envelope",
	"flaticon-camera"          => "Flaticon Camera",
	"flaticon-calendar"        => "Flaticon Calendar",
	"flaticon-red-carpet"      => "Flaticon Red Carpet",
	"flaticon-armchair"        => "Flaticon Armchair",
	"flaticon-management"      => "Flaticon Management",
	"flaticon-cake"            => "Flaticon Cake",
	"flaticon-next"            => "Flaticon Next",
	"flaticon-right-arrow"     => "Flaticon Right Arrow",
	"flaticon-link"            => "Flaticon Link",
	"flaticon-wedding-rings-1" => "Flaticon Wedding Rings 1",
	"flaticon-balloon"         => "Flaticon Balloon"
);

$Postmeta->add_meta_box( $prefix.'_service_gallery', __( 'Service Details', 'woddingat-core' ), array( $prefix.'_service' ), '', '', 'high', array(
	'fields' => array(	
		"{$prefix}_service_icon" => array(
			'label'    		=> esc_html__( 'Select Icon', 'woddingat-core' ),
			'type'     		=> 'icon_select',
			'options'  		=> $icons,
			'default'  		=> 'fas fa-smile',
		),
		"{$prefix}_contact_text" => array(
			'label' => esc_html__( 'Contact Text', 'woddingat-core' ),
			'type'  => 'text',
			'default' => esc_html( 'Get Contact Us', 'woddingat-core' ),
		),
		"{$prefix}_contact_link" => array(
			'label' => esc_html__( 'Contact Link', 'woddingat-core' ),
			'type'  => 'text',
			'default' => '#',
		),
	)
) );


/*-------------------------------------
#. Portfolio Template
---------------------------------------*/

$Postmeta->add_meta_box( $prefix.'_portfolio_style_box', __( 'Portfolio style', 'woddingat-core' ), array( $prefix.'_portfolio' ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_single_portfolio_layout" => array(
			'label'   => __( 'Single Portfolio Template', 'woddingat-core' ),
			'type'    => 'select',
			'options' => array(
				'default'  => __( 'Default', 'woddingat-core' ),
				'1'  => __( 'Style 1', 'woddingat-core' ),
				'2'  => __( 'Style 2', 'woddingat-core' ),
				'3'  => __( 'Style 3', 'woddingat-core' ),
				'4'  => __( 'Style 4', 'woddingat-core' ),
			),
			'default'  => 'default',
		),
	),
) );

/*---------------------------------------------------------------------
#. = Portfolio
-----------------------------------------------------------------------*/
$Postmeta->add_meta_box( $prefix.'_portfolio_info', __( 'Portfolio Information', 'woddingat-core' ), array( $prefix.'_portfolio' ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_portfolio_subtitle" => array(
			'label' => esc_html__( 'Sub Title', 'woddingat-core' ),
			'type'  => 'text',
		),
		"{$prefix}_portfolio_client" => array(
			'label' => esc_html__( 'Client', 'woddingat-core' ),
			'type'  => 'text',
		),
		'{$prefix}_portfolio_socials' => array(
			'label' => __( 'Socials', 'woddingat-core' ),
			'type'  => 'header',
			'desc'  => __( 'Enter your social links here', 'woddingat-core' ),
		),
		'woddingat_port_icons' => array(
			'type'  => 'group',
			'value'  => $rt_socials,
		),
	)
) );

/*---------------------------------------------------------------------
#. = Single Page Gallery
-----------------------------------------------------------------------*/
$Postmeta->add_meta_box( $prefix.'_pmasonry_optioms', esc_html__('Single Page Gallery', 'woddingat-core'), array( $prefix.'_portfolio' ), '', '', 'high', array(
  'fields' => array(
	'pfolio_singlep_gallery' => array(
		'label' => __( 'Gallery Images', 'woddingat-core' ),
		'type'  => 'gallery',
	),
  )
));

$Postmeta->add_meta_box( $prefix.'_team_designation', __( 'Team Details', 'woddingat-core' ), array( $prefix.'_team' ), '', '', 'high', array(
	'fields' => array(
		'{$prefix}_team_socials' => array(
			'label' => __( 'Socials', 'woddingat-core' ),
			'type'  => 'header',
			'desc'  => __( 'Enter your social links here', 'woddingat-core' ),
		),
		'woddingat_tsicons' => array(
			'type'  => 'group',
			'value'  => $rt_socials,
		),
	)
) );



