<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\RDTheme;

use \RT_Posts;

if ( !class_exists( 'RT_Posts' ) ) {
	return;
}

$prefix = WODDINGAT_CORE_CPT;

$post_types = array(
	"{$prefix}_service"  => array(
		'title'        => __( 'Service', 'woddingat-core' ),
		'plural_title' => __( 'Services', 'woddingat-core' ),
		'menu_icon'    => 'dashicons-sos',
		'show_in_rest' => true,
		'supports'     => array( 'title', 'thumbnail', 'editor', 'excerpt', 'comments' ),
	),
	"{$prefix}_portfolio"  => array(
		'title'        => __( 'Portfolio', 'woddingat-core' ),
		'plural_title' => __( 'Portfolios', 'woddingat-core' ),
		'menu_icon'    => 'dashicons-admin-post',
		'show_in_rest' => true,
		'supports'     => array( 'title', 'thumbnail', 'editor', 'excerpt' ),
	),
	"{$prefix}_team"  => array(
		'title'        => __( 'Team', 'woddingat-core' ),
		'plural_title' => __( 'Teams', 'woddingat-core' ),
		'menu_icon'    => 'dashicons-buddicons-buddypress-logo',
		'show_in_rest' => true,
		'supports'     => array( 'title', 'thumbnail', 'editor', 'excerpt' ),
	),
);
$taxonomies = array(
	"{$prefix}_service_category" => array(
		'title'        => __( 'Service Category', 'woddingat-core' ),
		'plural_title' => __( 'Categories', 'woddingat-core' ),
		'post_types'   => "{$prefix}_service",
		'show_in_rest' => true,
	),
	"{$prefix}_portfolio_category" => array(
		'title'        => __( 'Portfolio Category', 'woddingat-core' ),
		'plural_title' => __( 'Categories', 'woddingat-core' ),
		'post_types'   => "{$prefix}_portfolio",
		'show_in_rest' => true,
	),
	"{$prefix}_portfolio_tag" => array(
		'title'        => __( 'Tag', 'woddingat-core' ),
		'plural_title' => __( 'Tags', 'woddingat-core' ),
		'post_types'   => "{$prefix}_portfolio",
		'show_in_rest' => true,
	),
	"{$prefix}_team_category" => array(
		'title'        => __( 'Team Category', 'woddingat-core' ),
		'plural_title' => __( 'Categories', 'woddingat-core' ),
		'post_types'   => "{$prefix}_team",
		'show_in_rest' => true,
	),
);

$Posts = RT_Posts::getInstance();
$Posts->add_post_types( $post_types );
$Posts->add_taxonomies( $taxonomies );