<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Woddingat_Core;
use radiustheme\woddingat\inc\RDTheme;

class Custom_Widgets_Init {

	public $widgets;
	protected static $instance = null;
	public function __construct() {
		$widgets1 = array(
			'post'         => 'Post_Widget',
			'contact'      => 'contact_Widget',
			'socials'      => 'Socials',
			'about-author' => 'About_Author',
		);
		$widgets2 = array();
		$this->widgets = array_merge( $widgets1, $widgets2 );
		add_action( 'widgets_init', array( $this, 'custom_widgets' ) );
	}

	public static function instance() {
		if ( null == self::$instance ) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	public function custom_widgets() {
		if ( !class_exists( 'RT_Widget_Fields' ) ) return;

		foreach ( $this->widgets as $filename => $classname ) {
			$file  = dirname(__FILE__) . '/' . $filename . '.php';
			$class = __NAMESPACE__ . '\\' . $classname;
			require_once $file;
			register_widget( $class );
		}
	}

}

Custom_Widgets_Init::instance();